Crystal Space: csGLExtensionManager Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csGLExtensionManager Struct Reference

GL extensions manager. More...

`#include <csplugincommon/opengl/glextmanager.h>`

Inheritance diagram for csGLExtensionManager:

[legend]
List of all members.

## Public Member Functions
void | Close ()
| csGLExtensionManager ()
void | InitGL_3DFX_texture_compression_FXT1 ()
| Initialize GL_3DFX_texture_compression_FXT1 extension.
void | InitGL_APPLE_client_storage ()
| Initialize GL_APPLE_client_storage extension.
void | InitGL_APPLE_element_array ()
| Initialize GL_APPLE_element_array extension.
void | InitGL_APPLE_fence ()
| Initialize GL_APPLE_fence extension.
void | InitGL_APPLE_vertex_array_object ()
| Initialize GL_APPLE_vertex_array_object extension.
void | InitGL_APPLE_vertex_array_range ()
| Initialize GL_APPLE_vertex_array_range extension.
void | InitGL_ARB_depth_texture ()
| Initialize GL_ARB_depth_texture extension.
void | InitGL_ARB_draw_buffers ()
| Initialize GL_ARB_draw_buffers extension.
void | InitGL_ARB_fragment_program ()
| Initialize GL_ARB_fragment_program extension.
void | InitGL_ARB_fragment_shader ()
| Initialize GL_ARB_fragment_shader extension.
void | InitGL_ARB_imaging ()
| Initialize GL_ARB_imaging extension.
void | InitGL_ARB_matrix_palette ()
| Initialize GL_ARB_matrix_palette extension.
void | InitGL_ARB_multisample ()
| Initialize GL_ARB_multisample extension.
void | InitGL_ARB_multitexture ()
| Initialize GL_ARB_multitexture extension.
void | InitGL_ARB_occlusion_query ()
| Initialize GL_ARB_occlusion_query extension.
void | InitGL_ARB_pixel_buffer_object ()
| Initialize GL_ARB_pixel_buffer_object extension.
void | InitGL_ARB_point_parameters ()
| Initialize GL_ARB_point_parameters extension.
void | InitGL_ARB_point_sprite ()
| Initialize GL_ARB_point_sprite extension.
void | InitGL_ARB_shader_objects ()
| Initialize GL_ARB_shader_objects extension.
void | InitGL_ARB_shading_language_100 ()
| Initialize GL_ARB_shading_language_100 extension.
void | InitGL_ARB_shadow ()
| Initialize GL_ARB_shadow extension.
void | InitGL_ARB_shadow_ambient ()
| Initialize GL_ARB_shadow_ambient extension.
void | InitGL_ARB_texture_border_clamp ()
| Initialize GL_ARB_texture_border_clamp extension.
void | InitGL_ARB_texture_compression ()
| Initialize GL_ARB_texture_compression extension.
void | InitGL_ARB_texture_cube_map ()
| Initialize GL_ARB_texture_cube_map extension.
void | InitGL_ARB_texture_env_add ()
| Initialize GL_ARB_texture_env_add extension.
void | InitGL_ARB_texture_env_combine ()
| Initialize GL_ARB_texture_env_combine extension.
void | InitGL_ARB_texture_env_crossbar ()
| Initialize GL_ARB_texture_env_crossbar extension.
void | InitGL_ARB_texture_env_dot3 ()
| Initialize GL_ARB_texture_env_dot3 extension.
void | InitGL_ARB_texture_mirrored_repeat ()
| Initialize GL_ARB_texture_mirrored_repeat extension.
void | InitGL_ARB_texture_non_power_of_two ()
| Initialize GL_ARB_texture_non_power_of_two extension.
void | InitGL_ARB_texture_rectangle ()
| Initialize GL_ARB_texture_rectangle extension.
void | InitGL_ARB_transpose_matrix ()
| Initialize GL_ARB_transpose_matrix extension.
void | InitGL_ARB_vertex_blend ()
| Initialize GL_ARB_vertex_blend extension.
void | InitGL_ARB_vertex_buffer_object ()
| Initialize GL_ARB_vertex_buffer_object extension.
void | InitGL_ARB_vertex_program ()
| Initialize GL_ARB_vertex_program extension.
void | InitGL_ARB_vertex_shader ()
| Initialize GL_ARB_vertex_shader extension.
void | InitGL_ARB_window_pos ()
| Initialize GL_ARB_window_pos extension.
void | InitGL_ATI_element_array ()
| Initialize GL_ATI_element_array extension.
void | InitGL_ATI_envmap_bumpmap ()
| Initialize GL_ATI_envmap_bumpmap extension.
void | InitGL_ATI_fragment_shader ()
| Initialize GL_ATI_fragment_shader extension.
void | InitGL_ATI_pn_triangles ()
| Initialize GL_ATI_pn_triangles extension.
void | InitGL_ATI_separate_stencil ()
| Initialize GL_ATI_separate_stencil extension.
void | InitGL_ATI_text_fragment_shader ()
| Initialize GL_ATI_text_fragment_shader extension.
void | InitGL_ATI_texture_mirror_once ()
| Initialize GL_ATI_texture_mirror_once extension.
void | InitGL_ATI_vertex_array_object ()
| Initialize GL_ATI_vertex_array_object extension.
void | InitGL_ATI_vertex_attrib_array_object ()
| Initialize GL_ATI_vertex_attrib_array_object extension.
void | InitGL_ATI_vertex_streams ()
| Initialize GL_ATI_vertex_streams extension.
void | InitGL_EXT_422_pixels ()
| Initialize GL_EXT_422_pixels extension.
void | InitGL_EXT_abgr ()
| Initialize GL_EXT_abgr extension.
void | InitGL_EXT_bgra ()
| Initialize GL_EXT_bgra extension.
void | InitGL_EXT_blend_color ()
| Initialize GL_EXT_blend_color extension.
void | InitGL_EXT_blend_equation_separate ()
| Initialize GL_EXT_blend_equation_separate extension.
void | InitGL_EXT_blend_func_separate ()
| Initialize GL_EXT_blend_func_separate extension.
void | InitGL_EXT_blend_logic_op ()
| Initialize GL_EXT_blend_logic_op extension.
void | InitGL_EXT_blend_minmax ()
| Initialize GL_EXT_blend_minmax extension.
void | InitGL_EXT_blend_subtract ()
| Initialize GL_EXT_blend_subtract extension.
void | InitGL_EXT_clip_volume_hint ()
| Initialize GL_EXT_clip_volume_hint extension.
void | InitGL_EXT_color_subtable ()
| Initialize GL_EXT_color_subtable extension.
void | InitGL_EXT_compiled_vertex_array ()
| Initialize GL_EXT_compiled_vertex_array extension.
void | InitGL_EXT_convolution ()
| Initialize GL_EXT_convolution extension.
void | InitGL_EXT_fog_coord ()
| Initialize GL_EXT_fog_coord extension.
void | InitGL_EXT_framebuffer_object ()
| Initialize GL_EXT_framebuffer_object extension.
void | InitGL_EXT_histogram ()
| Initialize GL_EXT_histogram extension.
void | InitGL_EXT_multi_draw_arrays ()
| Initialize GL_EXT_multi_draw_arrays extension.
void | InitGL_EXT_packed_depth_stencil ()
| Initialize GL_EXT_packed_depth_stencil extension.
void | InitGL_EXT_packed_pixels ()
| Initialize GL_EXT_packed_pixels extension.
void | InitGL_EXT_paletted_texture ()
| Initialize GL_EXT_paletted_texture extension.
void | InitGL_EXT_pixel_buffer_object ()
| Initialize GL_EXT_pixel_buffer_object extension.
void | InitGL_EXT_point_parameters ()
| Initialize GL_EXT_point_parameters extension.
void | InitGL_EXT_polygon_offset ()
| Initialize GL_EXT_polygon_offset extension.
void | InitGL_EXT_secondary_color ()
| Initialize GL_EXT_secondary_color extension.
void | InitGL_EXT_separate_specular_color ()
| Initialize GL_EXT_separate_specular_color extension.
void | InitGL_EXT_shadow_funcs ()
| Initialize GL_EXT_shadow_funcs extension.
void | InitGL_EXT_shared_texture_palette ()
| Initialize GL_EXT_shared_texture_palette extension.
void | InitGL_EXT_stencil_two_side ()
| Initialize GL_EXT_stencil_two_side extension.
void | InitGL_EXT_stencil_wrap ()
| Initialize GL_EXT_stencil_wrap extension.
void | InitGL_EXT_subtexture ()
| Initialize GL_EXT_subtexture extension.
void | InitGL_EXT_texture3D ()
| Initialize GL_EXT_texture3D extension.
void | InitGL_EXT_texture_compression_s3tc ()
| Initialize GL_EXT_texture_compression_s3tc extension.
void | InitGL_EXT_texture_env_add ()
| Initialize GL_EXT_texture_env_add extension.
void | InitGL_EXT_texture_env_combine ()
| Initialize GL_EXT_texture_env_combine extension.
void | InitGL_EXT_texture_env_dot3 ()
| Initialize GL_EXT_texture_env_dot3 extension.
void | InitGL_EXT_texture_filter_anisotropic ()
| Initialize GL_EXT_texture_filter_anisotropic extension.
void | InitGL_EXT_texture_lod_bias ()
| Initialize GL_EXT_texture_lod_bias extension.
void | InitGL_EXT_texture_object ()
| Initialize GL_EXT_texture_object extension.
void | InitGL_EXT_texture_rectangle ()
| Initialize GL_EXT_texture_rectangle extension.
void | InitGL_EXT_texture_sRGB ()
| Initialize GL_EXT_texture_sRGB extension.
void | InitGL_EXT_vertex_array ()
| Initialize GL_EXT_vertex_array extension.
void | InitGL_EXT_vertex_shader ()
| Initialize GL_EXT_vertex_shader extension.
void | InitGL_EXT_vertex_weighting ()
| Initialize GL_EXT_vertex_weighting extension.
void | InitGL_GREMEDY_string_marker ()
| Initialize GL_GREMEDY_string_marker extension.
void | InitGL_HP_occlusion_test ()
| Initialize GL_HP_occlusion_test extension.
void | InitGL_IBM_cull_vertex ()
| Initialize GL_IBM_cull_vertex extension.
void | InitGL_IBM_multimode_draw_arrays ()
| Initialize GL_IBM_multimode_draw_arrays extension.
void | InitGL_IBM_raster_pos_clip ()
| Initialize GL_IBM_raster_pos_clip extension.
void | InitGL_IBM_texture_mirrored_repeat ()
| Initialize GL_IBM_texture_mirrored_repeat extension.
void | InitGL_IBM_vertex_array_lists ()
| Initialize GL_IBM_vertex_array_lists extension.
void | InitGL_MESA_resize_buffers ()
| Initialize GL_MESA_resize_buffers extension.
void | InitGL_MESA_window_pos ()
| Initialize GL_MESA_window_pos extension.
void | InitGL_NV_blend_square ()
| Initialize GL_NV_blend_square extension.
void | InitGL_NV_copy_depth_to_color ()
| Initialize GL_NV_copy_depth_to_color extension.
void | InitGL_NV_depth_clamp ()
| Initialize GL_NV_depth_clamp extension.
void | InitGL_NV_element_array ()
| Initialize GL_NV_element_array extension.
void | InitGL_NV_evaluators ()
| Initialize GL_NV_evaluators extension.
void | InitGL_NV_fence ()
| Initialize GL_NV_fence extension.
void | InitGL_NV_float_buffer ()
| Initialize GL_NV_float_buffer extension.
void | InitGL_NV_fog_distance ()
| Initialize GL_NV_fog_distance extension.
void | InitGL_NV_fragment_program ()
| Initialize GL_NV_fragment_program extension.
void | InitGL_NV_light_max_exponent ()
| Initialize GL_NV_light_max_exponent extension.
void | InitGL_NV_multisample_filter_hint ()
| Initialize GL_NV_multisample_filter_hint extension.
void | InitGL_NV_occlusion_query ()
| Initialize GL_NV_occlusion_query extension.
void | InitGL_NV_packed_depth_stencil ()
| Initialize GL_NV_packed_depth_stencil extension.
void | InitGL_NV_point_sprite ()
| Initialize GL_NV_point_sprite extension.
void | InitGL_NV_primitive_restart ()
| Initialize GL_NV_primitive_restart extension.
void | InitGL_NV_register_combiners ()
| Initialize GL_NV_register_combiners extension.
void | InitGL_NV_register_combiners2 ()
| Initialize GL_NV_register_combiners2 extension.
void | InitGL_NV_texgen_emboss ()
| Initialize GL_NV_texgen_emboss extension.
void | InitGL_NV_texgen_reflection ()
| Initialize GL_NV_texgen_reflection extension.
void | InitGL_NV_texture_compression_vtc ()
| Initialize GL_NV_texture_compression_vtc extension.
void | InitGL_NV_texture_env_combine4 ()
| Initialize GL_NV_texture_env_combine4 extension.
void | InitGL_NV_texture_rectangle ()
| Initialize GL_NV_texture_rectangle extension.
void | InitGL_NV_texture_shader ()
| Initialize GL_NV_texture_shader extension.
void | InitGL_NV_texture_shader2 ()
| Initialize GL_NV_texture_shader2 extension.
void | InitGL_NV_texture_shader3 ()
| Initialize GL_NV_texture_shader3 extension.
void | InitGL_NV_vertex_array_range ()
| Initialize GL_NV_vertex_array_range extension.
void | InitGL_NV_vertex_array_range2 ()
| Initialize GL_NV_vertex_array_range2 extension.
void | InitGL_NV_vertex_program ()
| Initialize GL_NV_vertex_program extension.
void | InitGL_NV_vertex_program1_1 ()
| Initialize GL_NV_vertex_program1_1 extension.
void | InitGL_NV_vertex_program2 ()
| Initialize GL_NV_vertex_program2 extension.
void | InitGL_OML_interlace ()
| Initialize GL_OML_interlace extension.
void | InitGL_OML_resample ()
| Initialize GL_OML_resample extension.
void | InitGL_OML_subsample ()
| Initialize GL_OML_subsample extension.
void | InitGL_SGI_color_matrix ()
| Initialize GL_SGI_color_matrix extension.
void | InitGL_SGI_color_table ()
| Initialize GL_SGI_color_table extension.
void | InitGL_SGI_texture_color_table ()
| Initialize GL_SGI_texture_color_table extension.
void | InitGL_SGIS_depth_texture ()
| Initialize GL_SGIS_depth_texture extension.
void | InitGL_SGIS_generate_mipmap ()
| Initialize GL_SGIS_generate_mipmap extension.
void | InitGL_SGIS_multisample ()
| Initialize GL_SGIS_multisample extension.
void | InitGL_SGIS_pixel_texture ()
| Initialize GL_SGIS_pixel_texture extension.
void | InitGL_SGIS_texture_border_clamp ()
| Initialize GL_SGIS_texture_border_clamp extension.
void | InitGL_SGIS_texture_color_mask ()
| Initialize GL_SGIS_texture_color_mask extension.
void | InitGL_SGIS_texture_edge_clamp ()
| Initialize GL_SGIS_texture_edge_clamp extension.
void | InitGL_SGIS_texture_lod ()
| Initialize GL_SGIS_texture_lod extension.
void | InitGL_SGIX_fog_offset ()
| Initialize GL_SGIX_fog_offset extension.
void | InitGL_SGIX_interlace ()
| Initialize GL_SGIX_interlace extension.
void | InitGL_SGIX_shadow_ambient ()
| Initialize GL_SGIX_shadow_ambient extension.
void | InitGL_SUN_vertex ()
| Initialize GL_SUN_vertex extension.
void | InitGL_version_1_2 ()
void | InitGL_version_1_3 ()
void | InitGL_version_1_4 ()
void | InitGL_version_1_5 ()
void | InitGL_version_2_0 ()
void | InitGL_version_2_1 ()
void | Initialize (iObjectRegistry *object_reg, iGraphics2D *g2d)
void | InitWGL_ARB_buffer_region (HDC hDC)
| Initialize WGL_ARB_buffer_region extension.
void | InitWGL_ARB_extensions_string (HDC hDC)
| Initialize WGL_ARB_extensions_string extension.
void | InitWGL_ARB_make_current_read (HDC hDC)
| Initialize WGL_ARB_make_current_read extension.
void | InitWGL_ARB_pbuffer (HDC hDC)
| Initialize WGL_ARB_pbuffer extension.
void | InitWGL_ARB_pixel_format (HDC hDC)
| Initialize WGL_ARB_pixel_format extension.
void | InitWGL_ARB_render_texture (HDC hDC)
| Initialize WGL_ARB_render_texture extension.
void | InitWGL_EXT_extensions_string (HDC hDC)
| Initialize WGL_EXT_extensions_string extension.
void | InitWGL_EXT_make_current_read (HDC hDC)
| Initialize WGL_EXT_make_current_read extension.
void | InitWGL_EXT_pbuffer (HDC hDC)
| Initialize WGL_EXT_pbuffer extension.
void | InitWGL_EXT_pixel_format (HDC hDC)
| Initialize WGL_EXT_pixel_format extension.
void | InitWGL_EXT_swap_control (HDC hDC)
| Initialize WGL_EXT_swap_control extension.
void | InitWGL_I3D_digital_video_control (HDC hDC)
| Initialize WGL_I3D_digital_video_control extension.
void | InitWGL_I3D_gamma (HDC hDC)
| Initialize WGL_I3D_gamma extension.
void | InitWGL_I3D_genlock (HDC hDC)
| Initialize WGL_I3D_genlock extension.
void | InitWGL_I3D_image_buffer (HDC hDC)
| Initialize WGL_I3D_image_buffer extension.
void | InitWGL_I3D_swap_frame_lock (HDC hDC)
| Initialize WGL_I3D_swap_frame_lock extension.
void | InitWGL_I3D_swap_frame_usage (HDC hDC)
| Initialize WGL_I3D_swap_frame_usage extension.
void | Open ()
void | Reset ()

## Detailed Description

GL extensions manager.

Checks for the presence of specific GL extensions and fetches all function pointers if present.

Definition at line 17415 of file glextmanager.h.

## Member Function Documentation

void csGLExtensionManager::InitGL_3DFX_texture_compression_FXT1 | ( |  | ) | `[inline]`

Initialize GL_3DFX_texture_compression_FXT1 extension.

Check presence with csGLExtensionFlags::CS_GL_3DFX_texture_compression_FXT1.

Definition at line 21189 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_3DFX_texture_compression_FXT1, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_3DFX_texture_compression_FXT1.

void csGLExtensionManager::InitGL_APPLE_client_storage | ( |  | ) | `[inline]`

Initialize GL_APPLE_client_storage extension.

Check presence with csGLExtensionFlags::CS_GL_APPLE_client_storage.

Definition at line 22108 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_APPLE_client_storage, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_APPLE_client_storage.

void csGLExtensionManager::InitGL_APPLE_element_array | ( |  | ) | `[inline]`

Initialize GL_APPLE_element_array extension.

Check presence with csGLExtensionFlags::CS_GL_APPLE_element_array.

Definition at line 22137 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_APPLE_element_array, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glDrawElementArrayAPPLE, csGLExtensionFunctions::glDrawRangeElementArrayAPPLE, csGLExtensionFunctions::glElementPointerAPPLE, csGLExtensionFunctions::glMultiDrawElementArrayAPPLE, csGLExtensionFunctions::glMultiDrawRangeElementArrayAPPLE, and csGLExtensionFlags::tested_CS_GL_APPLE_element_array.

void csGLExtensionManager::InitGL_APPLE_fence | ( |  | ) | `[inline]`

Initialize GL_APPLE_fence extension.

Check presence with csGLExtensionFlags::CS_GL_APPLE_fence.

Definition at line 22171 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_APPLE_fence, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glDeleteFencesAPPLE, csGLExtensionFunctions::glFinishFenceAPPLE, csGLExtensionFunctions::glFinishObjectAPPLE, csGLExtensionFunctions::glGenFencesAPPLE, csGLExtensionFunctions::glIsFenceAPPLE, csGLExtensionFunctions::glSetFenceAPPLE, csGLExtensionFunctions::glTestFenceAPPLE, csGLExtensionFunctions::glTestObjectAPPLE, and csGLExtensionFlags::tested_CS_GL_APPLE_fence.

void csGLExtensionManager::InitGL_APPLE_vertex_array_object | ( |  | ) | `[inline]`

Initialize GL_APPLE_vertex_array_object extension.

Check presence with csGLExtensionFlags::CS_GL_APPLE_vertex_array_object.

Definition at line 22208 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_APPLE_vertex_array_object, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glBindVertexArrayAPPLE, csGLExtensionFunctions::glDeleteVertexArraysAPPLE, csGLExtensionFunctions::glGenVertexArraysAPPLE, csGLExtensionFunctions::glIsVertexArrayAPPLE, and csGLExtensionFlags::tested_CS_GL_APPLE_vertex_array_object.

void csGLExtensionManager::InitGL_APPLE_vertex_array_range | ( |  | ) | `[inline]`

Initialize GL_APPLE_vertex_array_range extension.

Check presence with csGLExtensionFlags::CS_GL_APPLE_vertex_array_range.

Definition at line 22241 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_APPLE_vertex_array_range, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glFlushVertexArrayRangeAPPLE, csGLExtensionFunctions::glVertexArrayParameteriAPPLE, csGLExtensionFunctions::glVertexArrayRangeAPPLE, and csGLExtensionFlags::tested_CS_GL_APPLE_vertex_array_range.

void csGLExtensionManager::InitGL_ARB_depth_texture | ( |  | ) | `[inline]`

Initialize GL_ARB_depth_texture extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_depth_texture.

Definition at line 18228 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_depth_texture, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_ARB_depth_texture.

void csGLExtensionManager::InitGL_ARB_draw_buffers | ( |  | ) | `[inline]`

Initialize GL_ARB_draw_buffers extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_draw_buffers.

Definition at line 23475 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_draw_buffers, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_ARB_draw_buffers.

void csGLExtensionManager::InitGL_ARB_fragment_program | ( |  | ) | `[inline]`

Initialize GL_ARB_fragment_program extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_fragment_program.

Definition at line 22031 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_fragment_program, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glBindProgramARB, csGLExtensionFunctions::glDeleteProgramsARB, csGLExtensionFunctions::glGenProgramsARB, csGLExtensionFunctions::glGetProgramEnvParameterdvARB, csGLExtensionFunctions::glGetProgramEnvParameterfvARB, csGLExtensionFunctions::glGetProgramivARB, csGLExtensionFunctions::glGetProgramLocalParameterdvARB, csGLExtensionFunctions::glGetProgramLocalParameterfvARB, csGLExtensionFunctions::glGetProgramStringARB, csGLExtensionFunctions::glIsProgramARB, csGLExtensionFunctions::glProgramEnvParameter4dARB, csGLExtensionFunctions::glProgramEnvParameter4dvARB, csGLExtensionFunctions::glProgramEnvParameter4fARB, csGLExtensionFunctions::glProgramEnvParameter4fvARB, csGLExtensionFunctions::glProgramLocalParameter4dARB, csGLExtensionFunctions::glProgramLocalParameter4dvARB, csGLExtensionFunctions::glProgramLocalParameter4fARB, csGLExtensionFunctions::glProgramLocalParameter4fvARB, csGLExtensionFunctions::glProgramStringARB, and csGLExtensionFlags::tested_CS_GL_ARB_fragment_program.

void csGLExtensionManager::InitGL_ARB_fragment_shader | ( |  | ) | `[inline]`

Initialize GL_ARB_fragment_shader extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_fragment_shader.

Definition at line 23135 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_fragment_shader, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_ARB_fragment_shader.

void csGLExtensionManager::InitGL_ARB_imaging | ( |  | ) | `[inline]`

Initialize GL_ARB_imaging extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_imaging.

Definition at line 17912 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_imaging, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glBlendColor, csGLExtensionFunctions::glBlendEquation, csGLExtensionFunctions::glColorSubTable, csGLExtensionFunctions::glColorTable, csGLExtensionFunctions::glColorTableParameterfv, csGLExtensionFunctions::glColorTableParameteriv, csGLExtensionFunctions::glConvolutionFilter1D, csGLExtensionFunctions::glConvolutionFilter2D, csGLExtensionFunctions::glConvolutionParameterf, csGLExtensionFunctions::glConvolutionParameterfv, csGLExtensionFunctions::glConvolutionParameteri, csGLExtensionFunctions::glConvolutionParameteriv, csGLExtensionFunctions::glCopyColorSubTable, csGLExtensionFunctions::glCopyColorTable, csGLExtensionFunctions::glCopyConvolutionFilter1D, csGLExtensionFunctions::glCopyConvolutionFilter2D, csGLExtensionFunctions::glGetColorTable, csGLExtensionFunctions::glGetColorTableParameterfv, csGLExtensionFunctions::glGetColorTableParameteriv, csGLExtensionFunctions::glGetConvolutionFilter, csGLExtensionFunctions::glGetConvolutionParameterfv, csGLExtensionFunctions::glGetConvolutionParameteriv, csGLExtensionFunctions::glGetHistogram, csGLExtensionFunctions::glGetHistogramParameterfv, csGLExtensionFunctions::glGetHistogramParameteriv, csGLExtensionFunctions::glGetMinmax, csGLExtensionFunctions::glGetMinmaxParameterfv, csGLExtensionFunctions::glGetMinmaxParameteriv, csGLExtensionFunctions::glGetSeparableFilter, csGLExtensionFunctions::glHistogram, csGLExtensionFunctions::glMinmax, csGLExtensionFunctions::glResetHistogram, csGLExtensionFunctions::glResetMinmax, csGLExtensionFunctions::glSeparableFilter2D, and csGLExtensionFlags::tested_CS_GL_ARB_imaging.

void csGLExtensionManager::InitGL_ARB_matrix_palette | ( |  | ) | `[inline]`

Initialize GL_ARB_matrix_palette extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_matrix_palette.

Definition at line 22713 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_matrix_palette, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glCurrentPaletteMatrixARB, csGLExtensionFunctions::glMatrixIndexPointerARB, csGLExtensionFunctions::glMatrixIndexubvARB, csGLExtensionFunctions::glMatrixIndexuivARB, csGLExtensionFunctions::glMatrixIndexusvARB, and csGLExtensionFlags::tested_CS_GL_ARB_matrix_palette.

void csGLExtensionManager::InitGL_ARB_multisample | ( |  | ) | `[inline]`

Initialize GL_ARB_multisample extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_multisample.

Definition at line 18071 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_multisample, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glSampleCoverageARB, and csGLExtensionFlags::tested_CS_GL_ARB_multisample.

void csGLExtensionManager::InitGL_ARB_multitexture | ( |  | ) | `[inline]`

Initialize GL_ARB_multitexture extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_multitexture.

Definition at line 17975 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_multitexture, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glActiveTextureARB, csGLExtensionFunctions::glClientActiveTextureARB, csGLExtensionFunctions::glMultiTexCoord1dARB, csGLExtensionFunctions::glMultiTexCoord1dvARB, csGLExtensionFunctions::glMultiTexCoord1fARB, csGLExtensionFunctions::glMultiTexCoord1fvARB, csGLExtensionFunctions::glMultiTexCoord1iARB, csGLExtensionFunctions::glMultiTexCoord1ivARB, csGLExtensionFunctions::glMultiTexCoord1sARB, csGLExtensionFunctions::glMultiTexCoord1svARB, csGLExtensionFunctions::glMultiTexCoord2dARB, csGLExtensionFunctions::glMultiTexCoord2dvARB, csGLExtensionFunctions::glMultiTexCoord2fARB, csGLExtensionFunctions::glMultiTexCoord2fvARB, csGLExtensionFunctions::glMultiTexCoord2iARB, csGLExtensionFunctions::glMultiTexCoord2ivARB, csGLExtensionFunctions::glMultiTexCoord2sARB, csGLExtensionFunctions::glMultiTexCoord2svARB, csGLExtensionFunctions::glMultiTexCoord3dARB, csGLExtensionFunctions::glMultiTexCoord3dvARB, csGLExtensionFunctions::glMultiTexCoord3fARB, csGLExtensionFunctions::glMultiTexCoord3fvARB, csGLExtensionFunctions::glMultiTexCoord3iARB, csGLExtensionFunctions::glMultiTexCoord3ivARB, csGLExtensionFunctions::glMultiTexCoord3sARB, csGLExtensionFunctions::glMultiTexCoord3svARB, csGLExtensionFunctions::glMultiTexCoord4dARB, csGLExtensionFunctions::glMultiTexCoord4dvARB, csGLExtensionFunctions::glMultiTexCoord4fARB, csGLExtensionFunctions::glMultiTexCoord4fvARB, csGLExtensionFunctions::glMultiTexCoord4iARB, csGLExtensionFunctions::glMultiTexCoord4ivARB, csGLExtensionFunctions::glMultiTexCoord4sARB, csGLExtensionFunctions::glMultiTexCoord4svARB, and csGLExtensionFlags::tested_CS_GL_ARB_multitexture.

void csGLExtensionManager::InitGL_ARB_occlusion_query | ( |  | ) | `[inline]`

Initialize GL_ARB_occlusion_query extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_occlusion_query.

Definition at line 23438 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_occlusion_query, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glBeginQueryARB, csGLExtensionFunctions::glDeleteQueriesARB, csGLExtensionFunctions::glEndQueryARB, csGLExtensionFunctions::glGenQueriesARB, csGLExtensionFunctions::glGetQueryivARB, csGLExtensionFunctions::glGetQueryObjectivARB, csGLExtensionFunctions::glGetQueryObjectuivARB, csGLExtensionFunctions::glIsQueryARB, and csGLExtensionFlags::tested_CS_GL_ARB_occlusion_query.

void csGLExtensionManager::InitGL_ARB_pixel_buffer_object | ( |  | ) | `[inline]`

Initialize GL_ARB_pixel_buffer_object extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_pixel_buffer_object.

Definition at line 23236 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_pixel_buffer_object, csGLExtensionFlags::CS_GL_ARB_vertex_buffer_object, EXTMGR_REPORT_INIT_RESULT, InitGL_ARB_vertex_buffer_object(), and csGLExtensionFlags::tested_CS_GL_ARB_pixel_buffer_object.

void csGLExtensionManager::InitGL_ARB_point_parameters | ( |  | ) | `[inline]`

Initialize GL_ARB_point_parameters extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_point_parameters.

Definition at line 18257 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_point_parameters, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glPointParameterfARB, csGLExtensionFunctions::glPointParameterfvARB, and csGLExtensionFlags::tested_CS_GL_ARB_point_parameters.

void csGLExtensionManager::InitGL_ARB_point_sprite | ( |  | ) | `[inline]`

Initialize GL_ARB_point_sprite extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_point_sprite.

Definition at line 23009 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_point_sprite, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_ARB_point_sprite.

void csGLExtensionManager::InitGL_ARB_shader_objects | ( |  | ) | `[inline]`

Initialize GL_ARB_shader_objects extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_shader_objects.

Definition at line 23067 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_shader_objects, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glAttachObjectARB, csGLExtensionFunctions::glCompileShaderARB, csGLExtensionFunctions::glCreateProgramObjectARB, csGLExtensionFunctions::glCreateShaderObjectARB, csGLExtensionFunctions::glDeleteObjectARB, csGLExtensionFunctions::glDetachObjectARB, csGLExtensionFunctions::glGetActiveUniformARB, csGLExtensionFunctions::glGetAttachedObjectsARB, csGLExtensionFunctions::glGetHandleARB, csGLExtensionFunctions::glGetInfoLogARB, csGLExtensionFunctions::glGetObjectParameterfvARB, csGLExtensionFunctions::glGetObjectParameterivARB, csGLExtensionFunctions::glGetShaderSourceARB, csGLExtensionFunctions::glGetUniformfvARB, csGLExtensionFunctions::glGetUniformivARB, csGLExtensionFunctions::glGetUniformLocationARB, csGLExtensionFunctions::glLinkProgramARB, csGLExtensionFunctions::glShaderSourceARB, csGLExtensionFunctions::glUniform1fARB, csGLExtensionFunctions::glUniform1fvARB, csGLExtensionFunctions::glUniform1iARB, csGLExtensionFunctions::glUniform1ivARB, csGLExtensionFunctions::glUniform2fARB, csGLExtensionFunctions::glUniform2fvARB, csGLExtensionFunctions::glUniform2iARB, csGLExtensionFunctions::glUniform2ivARB, csGLExtensionFunctions::glUniform3fARB, csGLExtensionFunctions::glUniform3fvARB, csGLExtensionFunctions::glUniform3iARB, csGLExtensionFunctions::glUniform3ivARB, csGLExtensionFunctions::glUniform4fARB, csGLExtensionFunctions::glUniform4fvARB, csGLExtensionFunctions::glUniform4iARB, csGLExtensionFunctions::glUniform4ivARB, csGLExtensionFunctions::glUniformMatrix2fvARB, csGLExtensionFunctions::glUniformMatrix3fvARB, csGLExtensionFunctions::glUniformMatrix4fvARB, csGLExtensionFunctions::glUseProgramObjectARB, csGLExtensionFunctions::glValidateProgramARB, and csGLExtensionFlags::tested_CS_GL_ARB_shader_objects.

void csGLExtensionManager::InitGL_ARB_shading_language_100 | ( |  | ) | `[inline]`

Initialize GL_ARB_shading_language_100 extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_shading_language_100.

Definition at line 23038 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_shading_language_100, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_ARB_shading_language_100.

void csGLExtensionManager::InitGL_ARB_shadow | ( |  | ) | `[inline]`

Initialize GL_ARB_shadow extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_shadow.

Definition at line 18288 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_shadow, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_ARB_shadow.

void csGLExtensionManager::InitGL_ARB_shadow_ambient | ( |  | ) | `[inline]`

Initialize GL_ARB_shadow_ambient extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_shadow_ambient.

Definition at line 18317 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_shadow_ambient, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_ARB_shadow_ambient.

void csGLExtensionManager::InitGL_ARB_texture_border_clamp | ( |  | ) | `[inline]`

Initialize GL_ARB_texture_border_clamp extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_texture_border_clamp.

Definition at line 18346 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_texture_border_clamp, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_ARB_texture_border_clamp.

void csGLExtensionManager::InitGL_ARB_texture_compression | ( |  | ) | `[inline]`

Initialize GL_ARB_texture_compression extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_texture_compression.

Definition at line 18375 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_texture_compression, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glCompressedTexImage1DARB, csGLExtensionFunctions::glCompressedTexImage2DARB, csGLExtensionFunctions::glCompressedTexImage3DARB, csGLExtensionFunctions::glCompressedTexSubImage1DARB, csGLExtensionFunctions::glCompressedTexSubImage2DARB, csGLExtensionFunctions::glCompressedTexSubImage3DARB, csGLExtensionFunctions::glGetCompressedTexImageARB, and csGLExtensionFlags::tested_CS_GL_ARB_texture_compression.

void csGLExtensionManager::InitGL_ARB_texture_cube_map | ( |  | ) | `[inline]`

Initialize GL_ARB_texture_cube_map extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_texture_cube_map.

Definition at line 18199 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_texture_cube_map, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_ARB_texture_cube_map.

void csGLExtensionManager::InitGL_ARB_texture_env_add | ( |  | ) | `[inline]`

Initialize GL_ARB_texture_env_add extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_texture_env_add.

Definition at line 18101 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_texture_env_add, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_ARB_texture_env_add.

void csGLExtensionManager::InitGL_ARB_texture_env_combine | ( |  | ) | `[inline]`

Initialize GL_ARB_texture_env_combine extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_texture_env_combine.

Definition at line 18411 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_texture_env_combine, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_ARB_texture_env_combine.

void csGLExtensionManager::InitGL_ARB_texture_env_crossbar | ( |  | ) | `[inline]`

Initialize GL_ARB_texture_env_crossbar extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_texture_env_crossbar.

Definition at line 18440 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_texture_env_crossbar, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_ARB_texture_env_crossbar.

void csGLExtensionManager::InitGL_ARB_texture_env_dot3 | ( |  | ) | `[inline]`

Initialize GL_ARB_texture_env_dot3 extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_texture_env_dot3.

Definition at line 18469 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_texture_env_dot3, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_ARB_texture_env_dot3.

void csGLExtensionManager::InitGL_ARB_texture_mirrored_repeat | ( |  | ) | `[inline]`

Initialize GL_ARB_texture_mirrored_repeat extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_texture_mirrored_repeat.

Definition at line 18498 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_texture_mirrored_repeat, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_ARB_texture_mirrored_repeat.

void csGLExtensionManager::InitGL_ARB_texture_non_power_of_two | ( |  | ) | `[inline]`

Initialize GL_ARB_texture_non_power_of_two extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_texture_non_power_of_two.

Definition at line 22980 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_texture_non_power_of_two, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_ARB_texture_non_power_of_two.

void csGLExtensionManager::InitGL_ARB_texture_rectangle | ( |  | ) | `[inline]`

Initialize GL_ARB_texture_rectangle extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_texture_rectangle.

Definition at line 23270 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_texture_rectangle, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_ARB_texture_rectangle.

void csGLExtensionManager::InitGL_ARB_transpose_matrix | ( |  | ) | `[inline]`

Initialize GL_ARB_transpose_matrix extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_transpose_matrix.

Definition at line 18038 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_transpose_matrix, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glLoadTransposeMatrixdARB, csGLExtensionFunctions::glLoadTransposeMatrixfARB, csGLExtensionFunctions::glMultTransposeMatrixdARB, csGLExtensionFunctions::glMultTransposeMatrixfARB, and csGLExtensionFlags::tested_CS_GL_ARB_transpose_matrix.

void csGLExtensionManager::InitGL_ARB_vertex_blend | ( |  | ) | `[inline]`

Initialize GL_ARB_vertex_blend extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_vertex_blend.

Definition at line 18527 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_vertex_blend, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glVertexBlendARB, csGLExtensionFunctions::glWeightbvARB, csGLExtensionFunctions::glWeightdvARB, csGLExtensionFunctions::glWeightfvARB, csGLExtensionFunctions::glWeightivARB, csGLExtensionFunctions::glWeightPointerARB, csGLExtensionFunctions::glWeightsvARB, csGLExtensionFunctions::glWeightubvARB, csGLExtensionFunctions::glWeightuivARB, csGLExtensionFunctions::glWeightusvARB, csGLExtensionFunctions::glWeightvARB, and csGLExtensionFlags::tested_CS_GL_ARB_vertex_blend.

void csGLExtensionManager::InitGL_ARB_vertex_buffer_object | ( |  | ) | `[inline]`

Initialize GL_ARB_vertex_buffer_object extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_vertex_buffer_object.

Definition at line 22909 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_vertex_buffer_object, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glBindBufferARB, csGLExtensionFunctions::glBufferDataARB, csGLExtensionFunctions::glBufferSubDataARB, csGLExtensionFunctions::glDeleteBuffersARB, csGLExtensionFunctions::glGenBuffersARB, csGLExtensionFunctions::glGetBufferParameterivARB, csGLExtensionFunctions::glGetBufferPointervARB, csGLExtensionFunctions::glGetBufferSubDataARB, csGLExtensionFunctions::glIsBufferARB, csGLExtensionFunctions::glMapBufferARB, csGLExtensionFunctions::glUnmapBufferARB, and csGLExtensionFlags::tested_CS_GL_ARB_vertex_buffer_object.

Referenced by InitGL_ARB_pixel_buffer_object(), and InitGL_EXT_pixel_buffer_object().

void csGLExtensionManager::InitGL_ARB_vertex_program | ( |  | ) | `[inline]`

Initialize GL_ARB_vertex_program extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_vertex_program.

Definition at line 18567 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_vertex_program, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glBindProgramARB, csGLExtensionFunctions::glDeleteProgramsARB, csGLExtensionFunctions::glDisableVertexAttribArrayARB, csGLExtensionFunctions::glEnableVertexAttribArrayARB, csGLExtensionFunctions::glGenProgramsARB, csGLExtensionFunctions::glGetProgramEnvParameterdvARB, csGLExtensionFunctions::glGetProgramEnvParameterfvARB, csGLExtensionFunctions::glGetProgramivARB, csGLExtensionFunctions::glGetProgramLocalParameterdvARB, csGLExtensionFunctions::glGetProgramLocalParameterfvARB, csGLExtensionFunctions::glGetProgramStringARB, csGLExtensionFunctions::glGetVertexAttribdvARB, csGLExtensionFunctions::glGetVertexAttribfvARB, csGLExtensionFunctions::glGetVertexAttribivARB, csGLExtensionFunctions::glGetVertexAttribPointervARB, csGLExtensionFunctions::glIsProgramARB, csGLExtensionFunctions::glProgramEnvParameter4dARB, csGLExtensionFunctions::glProgramEnvParameter4dvARB, csGLExtensionFunctions::glProgramEnvParameter4fARB, csGLExtensionFunctions::glProgramEnvParameter4fvARB, csGLExtensionFunctions::glProgramLocalParameter4dARB, csGLExtensionFunctions::glProgramLocalParameter4dvARB, csGLExtensionFunctions::glProgramLocalParameter4fARB, csGLExtensionFunctions::glProgramLocalParameter4fvARB, csGLExtensionFunctions::glProgramStringARB, csGLExtensionFunctions::glVertexAttrib1dARB, csGLExtensionFunctions::glVertexAttrib1dvARB, csGLExtensionFunctions::glVertexAttrib1fARB, csGLExtensionFunctions::glVertexAttrib1fvARB, csGLExtensionFunctions::glVertexAttrib1sARB, csGLExtensionFunctions::glVertexAttrib1svARB, csGLExtensionFunctions::glVertexAttrib2dARB, csGLExtensionFunctions::glVertexAttrib2dvARB, csGLExtensionFunctions::glVertexAttrib2fARB, csGLExtensionFunctions::glVertexAttrib2fvARB, csGLExtensionFunctions::glVertexAttrib2sARB, csGLExtensionFunctions::glVertexAttrib2svARB, csGLExtensionFunctions::glVertexAttrib3dARB, csGLExtensionFunctions::glVertexAttrib3dvARB, csGLExtensionFunctions::glVertexAttrib3fARB, csGLExtensionFunctions::glVertexAttrib3fvARB, csGLExtensionFunctions::glVertexAttrib3sARB, csGLExtensionFunctions::glVertexAttrib3svARB, csGLExtensionFunctions::glVertexAttrib4bvARB, csGLExtensionFunctions::glVertexAttrib4dARB, csGLExtensionFunctions::glVertexAttrib4dvARB, csGLExtensionFunctions::glVertexAttrib4fARB, csGLExtensionFunctions::glVertexAttrib4fvARB, csGLExtensionFunctions::glVertexAttrib4ivARB, csGLExtensionFunctions::glVertexAttrib4NbvARB, csGLExtensionFunctions::glVertexAttrib4NivARB, csGLExtensionFunctions::glVertexAttrib4NsvARB, csGLExtensionFunctions::glVertexAttrib4NubARB, csGLExtensionFunctions::glVertexAttrib4NubvARB, csGLExtensionFunctions::glVertexAttrib4NuivARB, csGLExtensionFunctions::glVertexAttrib4NusvARB, csGLExtensionFunctions::glVertexAttrib4sARB, csGLExtensionFunctions::glVertexAttrib4svARB, csGLExtensionFunctions::glVertexAttrib4ubvARB, csGLExtensionFunctions::glVertexAttrib4uivARB, csGLExtensionFunctions::glVertexAttrib4usvARB, csGLExtensionFunctions::glVertexAttribPointerARB, and csGLExtensionFlags::tested_CS_GL_ARB_vertex_program.

void csGLExtensionManager::InitGL_ARB_vertex_shader | ( |  | ) | `[inline]`

Initialize GL_ARB_vertex_shader extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_vertex_shader.

Definition at line 23164 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_vertex_shader, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glBindAttribLocationARB, csGLExtensionFunctions::glDisableVertexAttribArrayARB, csGLExtensionFunctions::glEnableVertexAttribArrayARB, csGLExtensionFunctions::glGetActiveAttribARB, csGLExtensionFunctions::glGetAttribLocationARB, csGLExtensionFunctions::glGetVertexAttribPointervARB, csGLExtensionFunctions::glVertexAttrib1dARB, csGLExtensionFunctions::glVertexAttrib1dvARB, csGLExtensionFunctions::glVertexAttrib1fARB, csGLExtensionFunctions::glVertexAttrib1fvARB, csGLExtensionFunctions::glVertexAttrib1sARB, csGLExtensionFunctions::glVertexAttrib1svARB, csGLExtensionFunctions::glVertexAttrib2dARB, csGLExtensionFunctions::glVertexAttrib2dvARB, csGLExtensionFunctions::glVertexAttrib2fARB, csGLExtensionFunctions::glVertexAttrib2fvARB, csGLExtensionFunctions::glVertexAttrib2sARB, csGLExtensionFunctions::glVertexAttrib2svARB, csGLExtensionFunctions::glVertexAttrib3dARB, csGLExtensionFunctions::glVertexAttrib3dvARB, csGLExtensionFunctions::glVertexAttrib3fARB, csGLExtensionFunctions::glVertexAttrib3fvARB, csGLExtensionFunctions::glVertexAttrib3sARB, csGLExtensionFunctions::glVertexAttrib3svARB, csGLExtensionFunctions::glVertexAttrib4bvARB, csGLExtensionFunctions::glVertexAttrib4dARB, csGLExtensionFunctions::glVertexAttrib4dvARB, csGLExtensionFunctions::glVertexAttrib4fARB, csGLExtensionFunctions::glVertexAttrib4fvARB, csGLExtensionFunctions::glVertexAttrib4ivARB, csGLExtensionFunctions::glVertexAttrib4NbvARB, csGLExtensionFunctions::glVertexAttrib4NivARB, csGLExtensionFunctions::glVertexAttrib4NsvARB, csGLExtensionFunctions::glVertexAttrib4NubARB, csGLExtensionFunctions::glVertexAttrib4NubvARB, csGLExtensionFunctions::glVertexAttrib4NuivARB, csGLExtensionFunctions::glVertexAttrib4NusvARB, csGLExtensionFunctions::glVertexAttrib4sARB, csGLExtensionFunctions::glVertexAttrib4svARB, csGLExtensionFunctions::glVertexAttrib4ubvARB, csGLExtensionFunctions::glVertexAttrib4uivARB, csGLExtensionFunctions::glVertexAttrib4usvARB, csGLExtensionFunctions::glVertexAttribPointerARB, and csGLExtensionFlags::tested_CS_GL_ARB_vertex_shader.

void csGLExtensionManager::InitGL_ARB_window_pos | ( |  | ) | `[inline]`

Initialize GL_ARB_window_pos extension.

Check presence with csGLExtensionFlags::CS_GL_ARB_window_pos.

Definition at line 18658 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_window_pos, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glWindowPos2dARB, csGLExtensionFunctions::glWindowPos2dvARB, csGLExtensionFunctions::glWindowPos2fARB, csGLExtensionFunctions::glWindowPos2fvARB, csGLExtensionFunctions::glWindowPos2iARB, csGLExtensionFunctions::glWindowPos2ivARB, csGLExtensionFunctions::glWindowPos2sARB, csGLExtensionFunctions::glWindowPos2svARB, csGLExtensionFunctions::glWindowPos3dARB, csGLExtensionFunctions::glWindowPos3dvARB, csGLExtensionFunctions::glWindowPos3fARB, csGLExtensionFunctions::glWindowPos3fvARB, csGLExtensionFunctions::glWindowPos3iARB, csGLExtensionFunctions::glWindowPos3ivARB, csGLExtensionFunctions::glWindowPos3sARB, csGLExtensionFunctions::glWindowPos3svARB, and csGLExtensionFlags::tested_CS_GL_ARB_window_pos.

void csGLExtensionManager::InitGL_ATI_element_array | ( |  | ) | `[inline]`

Initialize GL_ATI_element_array extension.

Check presence with csGLExtensionFlags::CS_GL_ATI_element_array.

Definition at line 20763 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ATI_element_array, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glDrawElementArrayATI, csGLExtensionFunctions::glDrawRangeElementArrayATI, csGLExtensionFunctions::glElementPointerATI, and csGLExtensionFlags::tested_CS_GL_ATI_element_array.

void csGLExtensionManager::InitGL_ATI_envmap_bumpmap | ( |  | ) | `[inline]`

Initialize GL_ATI_envmap_bumpmap extension.

Check presence with csGLExtensionFlags::CS_GL_ATI_envmap_bumpmap.

Definition at line 20795 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ATI_envmap_bumpmap, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glGetTexBumpParameterfvATI, csGLExtensionFunctions::glGetTexBumpParameterivATI, csGLExtensionFunctions::glTexBumpParameterfvATI, csGLExtensionFunctions::glTexBumpParameterivATI, and csGLExtensionFlags::tested_CS_GL_ATI_envmap_bumpmap.

void csGLExtensionManager::InitGL_ATI_fragment_shader | ( |  | ) | `[inline]`

Initialize GL_ATI_fragment_shader extension.

Check presence with csGLExtensionFlags::CS_GL_ATI_fragment_shader.

Definition at line 20828 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ATI_fragment_shader, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glAlphaFragmentOp1ATI, csGLExtensionFunctions::glAlphaFragmentOp2ATI, csGLExtensionFunctions::glAlphaFragmentOp3ATI, csGLExtensionFunctions::glBeginFragmentShaderATI, csGLExtensionFunctions::glBindFragmentShaderATI, csGLExtensionFunctions::glColorFragmentOp1ATI, csGLExtensionFunctions::glColorFragmentOp2ATI, csGLExtensionFunctions::glColorFragmentOp3ATI, csGLExtensionFunctions::glDeleteFragmentShaderATI, csGLExtensionFunctions::glEndFragmentShaderATI, csGLExtensionFunctions::glGenFragmentShadersATI, csGLExtensionFunctions::glPassTexCoordATI, csGLExtensionFunctions::glSampleMapATI, csGLExtensionFunctions::glSetFragmentShaderConstantATI, and csGLExtensionFlags::tested_CS_GL_ATI_fragment_shader.

void csGLExtensionManager::InitGL_ATI_pn_triangles | ( |  | ) | `[inline]`

Initialize GL_ATI_pn_triangles extension.

Check presence with csGLExtensionFlags::CS_GL_ATI_pn_triangles.

Definition at line 20871 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ATI_pn_triangles, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glPNTrianglesfATI, csGLExtensionFunctions::glPNTrianglesiATI, and csGLExtensionFlags::tested_CS_GL_ATI_pn_triangles.

void csGLExtensionManager::InitGL_ATI_separate_stencil | ( |  | ) | `[inline]`

Initialize GL_ATI_separate_stencil extension.

Check presence with csGLExtensionFlags::CS_GL_ATI_separate_stencil.

Definition at line 22949 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ATI_separate_stencil, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glStencilFuncSeparateATI, csGLExtensionFunctions::glStencilOpSeparateATI, and csGLExtensionFlags::tested_CS_GL_ATI_separate_stencil.

void csGLExtensionManager::InitGL_ATI_text_fragment_shader | ( |  | ) | `[inline]`

Initialize GL_ATI_text_fragment_shader extension.

Check presence with csGLExtensionFlags::CS_GL_ATI_text_fragment_shader.

Definition at line 22079 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ATI_text_fragment_shader, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_ATI_text_fragment_shader.

void csGLExtensionManager::InitGL_ATI_texture_mirror_once | ( |  | ) | `[inline]`

Initialize GL_ATI_texture_mirror_once extension.

Check presence with csGLExtensionFlags::CS_GL_ATI_texture_mirror_once.

Definition at line 20902 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ATI_texture_mirror_once, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_ATI_texture_mirror_once.

void csGLExtensionManager::InitGL_ATI_vertex_array_object | ( |  | ) | `[inline]`

Initialize GL_ATI_vertex_array_object extension.

Check presence with csGLExtensionFlags::CS_GL_ATI_vertex_array_object.

Definition at line 20931 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ATI_vertex_array_object, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glArrayObjectATI, csGLExtensionFunctions::glFreeObjectBufferATI, csGLExtensionFunctions::glGetArrayObjectfvATI, csGLExtensionFunctions::glGetArrayObjectivATI, csGLExtensionFunctions::glGetObjectBufferfvATI, csGLExtensionFunctions::glGetObjectBufferivATI, csGLExtensionFunctions::glGetVariantArrayObjectfvATI, csGLExtensionFunctions::glGetVariantArrayObjectivATI, csGLExtensionFunctions::glIsObjectBufferATI, csGLExtensionFunctions::glNewObjectBufferATI, csGLExtensionFunctions::glUpdateObjectBufferATI, csGLExtensionFunctions::glVariantArrayObjectATI, and csGLExtensionFlags::tested_CS_GL_ATI_vertex_array_object.

void csGLExtensionManager::InitGL_ATI_vertex_attrib_array_object | ( |  | ) | `[inline]`

Initialize GL_ATI_vertex_attrib_array_object extension.

Check presence with csGLExtensionFlags::CS_GL_ATI_vertex_attrib_array_object.

Definition at line 20972 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ATI_vertex_attrib_array_object, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glGetVertexAttribArrayObjectfvATI, csGLExtensionFunctions::glGetVertexAttribArrayObjectivATI, csGLExtensionFunctions::glVertexAttribArrayObjectATI, and csGLExtensionFlags::tested_CS_GL_ATI_vertex_attrib_array_object.

void csGLExtensionManager::InitGL_ATI_vertex_streams | ( |  | ) | `[inline]`

Initialize GL_ATI_vertex_streams extension.

Check presence with csGLExtensionFlags::CS_GL_ATI_vertex_streams.

Definition at line 21004 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ATI_vertex_streams, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glClientActiveVertexStream, csGLExtensionFunctions::glNormalStream3b, csGLExtensionFunctions::glNormalStream3bv, csGLExtensionFunctions::glNormalStream3d, csGLExtensionFunctions::glNormalStream3dv, csGLExtensionFunctions::glNormalStream3f, csGLExtensionFunctions::glNormalStream3fv, csGLExtensionFunctions::glNormalStream3i, csGLExtensionFunctions::glNormalStream3iv, csGLExtensionFunctions::glNormalStream3s, csGLExtensionFunctions::glNormalStream3sv, csGLExtensionFunctions::glVertexBlendEnvf, csGLExtensionFunctions::glVertexBlendEnvi, csGLExtensionFunctions::glVertexStream1d, csGLExtensionFunctions::glVertexStream1dv, csGLExtensionFunctions::glVertexStream1f, csGLExtensionFunctions::glVertexStream1fv, csGLExtensionFunctions::glVertexStream1i, csGLExtensionFunctions::glVertexStream1iv, csGLExtensionFunctions::glVertexStream1s, csGLExtensionFunctions::glVertexStream1sv, csGLExtensionFunctions::glVertexStream2d, csGLExtensionFunctions::glVertexStream2dv, csGLExtensionFunctions::glVertexStream2f, csGLExtensionFunctions::glVertexStream2fv, csGLExtensionFunctions::glVertexStream2i, csGLExtensionFunctions::glVertexStream2iv, csGLExtensionFunctions::glVertexStream2s, csGLExtensionFunctions::glVertexStream2sv, csGLExtensionFunctions::glVertexStream3d, csGLExtensionFunctions::glVertexStream3dv, csGLExtensionFunctions::glVertexStream3f, csGLExtensionFunctions::glVertexStream3fv, csGLExtensionFunctions::glVertexStream3i, csGLExtensionFunctions::glVertexStream3iv, csGLExtensionFunctions::glVertexStream3s, csGLExtensionFunctions::glVertexStream3sv, csGLExtensionFunctions::glVertexStream4d, csGLExtensionFunctions::glVertexStream4dv, csGLExtensionFunctions::glVertexStream4f, csGLExtensionFunctions::glVertexStream4fv, csGLExtensionFunctions::glVertexStream4i, csGLExtensionFunctions::glVertexStream4iv, csGLExtensionFunctions::glVertexStream4s, csGLExtensionFunctions::glVertexStream4sv, and csGLExtensionFlags::tested_CS_GL_ATI_vertex_streams.

void csGLExtensionManager::InitGL_EXT_422_pixels | ( |  | ) | `[inline]`

Initialize GL_EXT_422_pixels extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_422_pixels.

Definition at line 18703 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_422_pixels, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_EXT_422_pixels.

void csGLExtensionManager::InitGL_EXT_abgr | ( |  | ) | `[inline]`

Initialize GL_EXT_abgr extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_abgr.

Definition at line 18732 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_abgr, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_EXT_abgr.

void csGLExtensionManager::InitGL_EXT_bgra | ( |  | ) | `[inline]`

Initialize GL_EXT_bgra extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_bgra.

Definition at line 18761 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_bgra, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_EXT_bgra.

void csGLExtensionManager::InitGL_EXT_blend_color | ( |  | ) | `[inline]`

Initialize GL_EXT_blend_color extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_blend_color.

Definition at line 18790 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_blend_color, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glBlendColorEXT, and csGLExtensionFlags::tested_CS_GL_EXT_blend_color.

void csGLExtensionManager::InitGL_EXT_blend_equation_separate | ( |  | ) | `[inline]`

Initialize GL_EXT_blend_equation_separate extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_blend_equation_separate.

Definition at line 23504 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_blend_equation_separate, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glBlendEquationSeparateEXT, and csGLExtensionFlags::tested_CS_GL_EXT_blend_equation_separate.

void csGLExtensionManager::InitGL_EXT_blend_func_separate | ( |  | ) | `[inline]`

Initialize GL_EXT_blend_func_separate extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_blend_func_separate.

Definition at line 18820 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_blend_func_separate, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glBlendFuncSeparateEXT, and csGLExtensionFlags::tested_CS_GL_EXT_blend_func_separate.

void csGLExtensionManager::InitGL_EXT_blend_logic_op | ( |  | ) | `[inline]`

Initialize GL_EXT_blend_logic_op extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_blend_logic_op.

Definition at line 18850 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_blend_logic_op, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_EXT_blend_logic_op.

void csGLExtensionManager::InitGL_EXT_blend_minmax | ( |  | ) | `[inline]`

Initialize GL_EXT_blend_minmax extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_blend_minmax.

Definition at line 18879 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_blend_minmax, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glBlendEquationEXT, and csGLExtensionFlags::tested_CS_GL_EXT_blend_minmax.

void csGLExtensionManager::InitGL_EXT_blend_subtract | ( |  | ) | `[inline]`

Initialize GL_EXT_blend_subtract extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_blend_subtract.

Definition at line 18909 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_blend_subtract, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_EXT_blend_subtract.

void csGLExtensionManager::InitGL_EXT_clip_volume_hint | ( |  | ) | `[inline]`

Initialize GL_EXT_clip_volume_hint extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_clip_volume_hint.

Definition at line 18938 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_clip_volume_hint, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_EXT_clip_volume_hint.

void csGLExtensionManager::InitGL_EXT_color_subtable | ( |  | ) | `[inline]`

Initialize GL_EXT_color_subtable extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_color_subtable.

Definition at line 18967 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_color_subtable, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glColorSubTableEXT, csGLExtensionFunctions::glCopyColorSubTableEXT, and csGLExtensionFlags::tested_CS_GL_EXT_color_subtable.

void csGLExtensionManager::InitGL_EXT_compiled_vertex_array | ( |  | ) | `[inline]`

Initialize GL_EXT_compiled_vertex_array extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_compiled_vertex_array.

Definition at line 18998 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_compiled_vertex_array, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glLockArraysEXT, csGLExtensionFunctions::glUnlockArraysEXT, and csGLExtensionFlags::tested_CS_GL_EXT_compiled_vertex_array.

void csGLExtensionManager::InitGL_EXT_convolution | ( |  | ) | `[inline]`

Initialize GL_EXT_convolution extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_convolution.

Definition at line 19029 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_convolution, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glConvolutionFilter1DEXT, csGLExtensionFunctions::glConvolutionFilter2DEXT, csGLExtensionFunctions::glConvolutionParameterfEXT, csGLExtensionFunctions::glConvolutionParameterfvEXT, csGLExtensionFunctions::glConvolutionParameteriEXT, csGLExtensionFunctions::glConvolutionParameterivEXT, csGLExtensionFunctions::glCopyConvolutionFilter1DEXT, csGLExtensionFunctions::glCopyConvolutionFilter2DEXT, csGLExtensionFunctions::glGetConvolutionFilterEXT, csGLExtensionFunctions::glGetConvolutionParameterfvEXT, csGLExtensionFunctions::glGetConvolutionParameterivEXT, csGLExtensionFunctions::glGetSeparableFilterEXT, csGLExtensionFunctions::glSeparableFilter2DEXT, and csGLExtensionFlags::tested_CS_GL_EXT_convolution.

void csGLExtensionManager::InitGL_EXT_fog_coord | ( |  | ) | `[inline]`

Initialize GL_EXT_fog_coord extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_fog_coord.

Definition at line 19071 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_fog_coord, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glFogCoorddEXT, csGLExtensionFunctions::glFogCoorddvEXT, csGLExtensionFunctions::glFogCoordfEXT, csGLExtensionFunctions::glFogCoordfvEXT, csGLExtensionFunctions::glFogCoordPointerEXT, and csGLExtensionFlags::tested_CS_GL_EXT_fog_coord.

void csGLExtensionManager::InitGL_EXT_framebuffer_object | ( |  | ) | `[inline]`

Initialize GL_EXT_framebuffer_object extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_framebuffer_object.

Definition at line 23299 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_framebuffer_object, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glBindFramebufferEXT, csGLExtensionFunctions::glBindRenderbufferEXT, csGLExtensionFunctions::glCheckFramebufferStatusEXT, csGLExtensionFunctions::glDeleteFramebuffersEXT, csGLExtensionFunctions::glDeleteRenderbuffersEXT, csGLExtensionFunctions::glFramebufferRenderbufferEXT, csGLExtensionFunctions::glFramebufferTexture1DEXT, csGLExtensionFunctions::glFramebufferTexture2DEXT, csGLExtensionFunctions::glFramebufferTexture3DEXT, csGLExtensionFunctions::glGenerateMipmapEXT, csGLExtensionFunctions::glGenFramebuffersEXT, csGLExtensionFunctions::glGenRenderbuffersEXT, csGLExtensionFunctions::glGetFramebufferAttachmentParameterivEXT, csGLExtensionFunctions::glGetRenderbufferParameterivEXT, csGLExtensionFunctions::glIsFramebufferEXT, csGLExtensionFunctions::glIsRenderbufferEXT, csGLExtensionFunctions::glRenderbufferStorageEXT, and csGLExtensionFlags::tested_CS_GL_EXT_framebuffer_object.

void csGLExtensionManager::InitGL_EXT_histogram | ( |  | ) | `[inline]`

Initialize GL_EXT_histogram extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_histogram.

Definition at line 19105 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_histogram, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glGetHistogramEXT, csGLExtensionFunctions::glGetHistogramParameterfvEXT, csGLExtensionFunctions::glGetHistogramParameterivEXT, csGLExtensionFunctions::glGetMinmaxEXT, csGLExtensionFunctions::glGetMinmaxParameterfvEXT, csGLExtensionFunctions::glGetMinmaxParameterivEXT, csGLExtensionFunctions::glHistogramEXT, csGLExtensionFunctions::glMinmaxEXT, csGLExtensionFunctions::glResetHistogramEXT, csGLExtensionFunctions::glResetMinmaxEXT, and csGLExtensionFlags::tested_CS_GL_EXT_histogram.

void csGLExtensionManager::InitGL_EXT_multi_draw_arrays | ( |  | ) | `[inline]`

Initialize GL_EXT_multi_draw_arrays extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_multi_draw_arrays.

Definition at line 19144 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_multi_draw_arrays, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glMultiDrawArraysEXT, csGLExtensionFunctions::glMultiDrawElementsEXT, and csGLExtensionFlags::tested_CS_GL_EXT_multi_draw_arrays.

void csGLExtensionManager::InitGL_EXT_packed_depth_stencil | ( |  | ) | `[inline]`

Initialize GL_EXT_packed_depth_stencil extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_packed_depth_stencil.

Definition at line 23563 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_packed_depth_stencil, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_EXT_packed_depth_stencil.

void csGLExtensionManager::InitGL_EXT_packed_pixels | ( |  | ) | `[inline]`

Initialize GL_EXT_packed_pixels extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_packed_pixels.

Definition at line 19175 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_packed_pixels, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_EXT_packed_pixels.

void csGLExtensionManager::InitGL_EXT_paletted_texture | ( |  | ) | `[inline]`

Initialize GL_EXT_paletted_texture extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_paletted_texture.

Definition at line 19204 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_paletted_texture, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glColorSubTableEXT, csGLExtensionFunctions::glColorTableEXT, csGLExtensionFunctions::glGetColorTableEXT, csGLExtensionFunctions::glGetColorTableParameterfvEXT, csGLExtensionFunctions::glGetColorTableParameterivEXT, and csGLExtensionFlags::tested_CS_GL_EXT_paletted_texture.

void csGLExtensionManager::InitGL_EXT_pixel_buffer_object | ( |  | ) | `[inline]`

Initialize GL_EXT_pixel_buffer_object extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_pixel_buffer_object.

Definition at line 23345 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_ARB_vertex_buffer_object, csGLExtensionFlags::CS_GL_EXT_pixel_buffer_object, EXTMGR_REPORT_INIT_RESULT, InitGL_ARB_vertex_buffer_object(), and csGLExtensionFlags::tested_CS_GL_EXT_pixel_buffer_object.

void csGLExtensionManager::InitGL_EXT_point_parameters | ( |  | ) | `[inline]`

Initialize GL_EXT_point_parameters extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_point_parameters.

Definition at line 19238 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_point_parameters, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glPointParameterfEXT, csGLExtensionFunctions::glPointParameterfvEXT, and csGLExtensionFlags::tested_CS_GL_EXT_point_parameters.

void csGLExtensionManager::InitGL_EXT_polygon_offset | ( |  | ) | `[inline]`

Initialize GL_EXT_polygon_offset extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_polygon_offset.

Definition at line 19269 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_polygon_offset, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glPolygonOffsetEXT, and csGLExtensionFlags::tested_CS_GL_EXT_polygon_offset.

void csGLExtensionManager::InitGL_EXT_secondary_color | ( |  | ) | `[inline]`

Initialize GL_EXT_secondary_color extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_secondary_color.

Definition at line 19299 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_secondary_color, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glSecondaryColor3bEXT, csGLExtensionFunctions::glSecondaryColor3bvEXT, csGLExtensionFunctions::glSecondaryColor3dEXT, csGLExtensionFunctions::glSecondaryColor3dvEXT, csGLExtensionFunctions::glSecondaryColor3fEXT, csGLExtensionFunctions::glSecondaryColor3fvEXT, csGLExtensionFunctions::glSecondaryColor3iEXT, csGLExtensionFunctions::glSecondaryColor3ivEXT, csGLExtensionFunctions::glSecondaryColor3sEXT, csGLExtensionFunctions::glSecondaryColor3svEXT, csGLExtensionFunctions::glSecondaryColor3ubEXT, csGLExtensionFunctions::glSecondaryColor3ubvEXT, csGLExtensionFunctions::glSecondaryColor3uiEXT, csGLExtensionFunctions::glSecondaryColor3uivEXT, csGLExtensionFunctions::glSecondaryColor3usEXT, csGLExtensionFunctions::glSecondaryColor3usvEXT, csGLExtensionFunctions::glSecondaryColorPointerEXT, and csGLExtensionFlags::tested_CS_GL_EXT_secondary_color.

void csGLExtensionManager::InitGL_EXT_separate_specular_color | ( |  | ) | `[inline]`

Initialize GL_EXT_separate_specular_color extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_separate_specular_color.

Definition at line 19345 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_separate_specular_color, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_EXT_separate_specular_color.

void csGLExtensionManager::InitGL_EXT_shadow_funcs | ( |  | ) | `[inline]`

Initialize GL_EXT_shadow_funcs extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_shadow_funcs.

Definition at line 19374 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_shadow_funcs, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_EXT_shadow_funcs.

void csGLExtensionManager::InitGL_EXT_shared_texture_palette | ( |  | ) | `[inline]`

Initialize GL_EXT_shared_texture_palette extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_shared_texture_palette.

Definition at line 19403 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_shared_texture_palette, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_EXT_shared_texture_palette.

void csGLExtensionManager::InitGL_EXT_stencil_two_side | ( |  | ) | `[inline]`

Initialize GL_EXT_stencil_two_side extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_stencil_two_side.

Definition at line 19432 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_stencil_two_side, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glActiveStencilFaceEXT, and csGLExtensionFlags::tested_CS_GL_EXT_stencil_two_side.

void csGLExtensionManager::InitGL_EXT_stencil_wrap | ( |  | ) | `[inline]`

Initialize GL_EXT_stencil_wrap extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_stencil_wrap.

Definition at line 19462 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_stencil_wrap, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_EXT_stencil_wrap.

void csGLExtensionManager::InitGL_EXT_subtexture | ( |  | ) | `[inline]`

Initialize GL_EXT_subtexture extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_subtexture.

Definition at line 19491 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_subtexture, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glTexSubImage1DEXT, csGLExtensionFunctions::glTexSubImage2DEXT, csGLExtensionFunctions::glTexSubImage3DEXT, and csGLExtensionFlags::tested_CS_GL_EXT_subtexture.

void csGLExtensionManager::InitGL_EXT_texture3D | ( |  | ) | `[inline]`

Initialize GL_EXT_texture3D extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_texture3D.

Definition at line 19523 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_texture3D, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glTexImage3DEXT, and csGLExtensionFlags::tested_CS_GL_EXT_texture3D.

void csGLExtensionManager::InitGL_EXT_texture_compression_s3tc | ( |  | ) | `[inline]`

Initialize GL_EXT_texture_compression_s3tc extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_texture_compression_s3tc.

Definition at line 19553 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_texture_compression_s3tc, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_EXT_texture_compression_s3tc.

void csGLExtensionManager::InitGL_EXT_texture_env_add | ( |  | ) | `[inline]`

Initialize GL_EXT_texture_env_add extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_texture_env_add.

Definition at line 19582 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_texture_env_add, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_EXT_texture_env_add.

void csGLExtensionManager::InitGL_EXT_texture_env_combine | ( |  | ) | `[inline]`

Initialize GL_EXT_texture_env_combine extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_texture_env_combine.

Definition at line 19611 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_texture_env_combine, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_EXT_texture_env_combine.

void csGLExtensionManager::InitGL_EXT_texture_env_dot3 | ( |  | ) | `[inline]`

Initialize GL_EXT_texture_env_dot3 extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_texture_env_dot3.

Definition at line 19640 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_texture_env_dot3, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_EXT_texture_env_dot3.

void csGLExtensionManager::InitGL_EXT_texture_filter_anisotropic | ( |  | ) | `[inline]`

Initialize GL_EXT_texture_filter_anisotropic extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_texture_filter_anisotropic.

Definition at line 19669 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_texture_filter_anisotropic, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_EXT_texture_filter_anisotropic.

void csGLExtensionManager::InitGL_EXT_texture_lod_bias | ( |  | ) | `[inline]`

Initialize GL_EXT_texture_lod_bias extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_texture_lod_bias.

Definition at line 19698 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_texture_lod_bias, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_EXT_texture_lod_bias.

void csGLExtensionManager::InitGL_EXT_texture_object | ( |  | ) | `[inline]`

Initialize GL_EXT_texture_object extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_texture_object.

Definition at line 19727 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_texture_object, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glAreTexturesResidentEXT, csGLExtensionFunctions::glBindTextureEXT, csGLExtensionFunctions::glDeleteTexturesEXT, csGLExtensionFunctions::glGenTexturesEXT, csGLExtensionFunctions::glIsTextureEXT, csGLExtensionFunctions::glPrioritizeTexturesEXT, and csGLExtensionFlags::tested_CS_GL_EXT_texture_object.

void csGLExtensionManager::InitGL_EXT_texture_rectangle | ( |  | ) | `[inline]`

Initialize GL_EXT_texture_rectangle extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_texture_rectangle.

Definition at line 23409 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_texture_rectangle, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_EXT_texture_rectangle.

void csGLExtensionManager::InitGL_EXT_texture_sRGB | ( |  | ) | `[inline]`

Initialize GL_EXT_texture_sRGB extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_texture_sRGB.

Definition at line 23534 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_texture_sRGB, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_EXT_texture_sRGB.

void csGLExtensionManager::InitGL_EXT_vertex_array | ( |  | ) | `[inline]`

Initialize GL_EXT_vertex_array extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_vertex_array.

Definition at line 19762 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_vertex_array, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glArrayElementEXT, csGLExtensionFunctions::glColorPointerEXT, csGLExtensionFunctions::glDrawArraysEXT, csGLExtensionFunctions::glEdgeFlagPointerEXT, csGLExtensionFunctions::glGetPointervEXT, csGLExtensionFunctions::glIndexPointerEXT, csGLExtensionFunctions::glNormalPointerEXT, csGLExtensionFunctions::glTexCoordPointerEXT, csGLExtensionFunctions::glVertexPointerEXT, and csGLExtensionFlags::tested_CS_GL_EXT_vertex_array.

void csGLExtensionManager::InitGL_EXT_vertex_shader | ( |  | ) | `[inline]`

Initialize GL_EXT_vertex_shader extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_vertex_shader.

Definition at line 19800 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_vertex_shader, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glBeginVertexShaderEXT, csGLExtensionFunctions::glBindLightParameterEXT, csGLExtensionFunctions::glBindMaterialParameterEXT, csGLExtensionFunctions::glBindParameterEXT, csGLExtensionFunctions::glBindTexGenParameterEXT, csGLExtensionFunctions::glBindTextureUnitParameterEXT, csGLExtensionFunctions::glBindVertexShaderEXT, csGLExtensionFunctions::glDeleteVertexShaderEXT, csGLExtensionFunctions::glDisableVariantClientStateEXT, csGLExtensionFunctions::glEnableVariantClientStateEXT, csGLExtensionFunctions::glEndVertexShaderEXT, csGLExtensionFunctions::glExtractComponentEXT, csGLExtensionFunctions::glGenSymbolsEXT, csGLExtensionFunctions::glGenVertexShadersEXT, csGLExtensionFunctions::glGetInvariantBooleanvEXT, csGLExtensionFunctions::glGetInvariantFloatvEXT, csGLExtensionFunctions::glGetInvariantIntegervEXT, csGLExtensionFunctions::glGetLocalConstantBooleanvEXT, csGLExtensionFunctions::glGetLocalConstantFloatvEXT, csGLExtensionFunctions::glGetLocalConstantIntegervEXT, csGLExtensionFunctions::glGetVariantBooleanvEXT, csGLExtensionFunctions::glGetVariantFloatvEXT, csGLExtensionFunctions::glGetVariantIntegervEXT, csGLExtensionFunctions::glGetVariantPointervEXT, csGLExtensionFunctions::glInsertComponentEXT, csGLExtensionFunctions::glIsVariantEnabledEXT, csGLExtensionFunctions::glSetInvariantEXT, csGLExtensionFunctions::glSetLocalConstantEXT, csGLExtensionFunctions::glShaderOp1EXT, csGLExtensionFunctions::glShaderOp2EXT, csGLExtensionFunctions::glShaderOp3EXT, csGLExtensionFunctions::glSwizzleEXT, csGLExtensionFunctions::glVariantbvEXT, csGLExtensionFunctions::glVariantdvEXT, csGLExtensionFunctions::glVariantfvEXT, csGLExtensionFunctions::glVariantivEXT, csGLExtensionFunctions::glVariantPointerEXT, csGLExtensionFunctions::glVariantsvEXT, csGLExtensionFunctions::glVariantubvEXT, csGLExtensionFunctions::glVariantuivEXT, csGLExtensionFunctions::glVariantusvEXT, csGLExtensionFunctions::glWriteMaskEXT, and csGLExtensionFlags::tested_CS_GL_EXT_vertex_shader.

void csGLExtensionManager::InitGL_EXT_vertex_weighting | ( |  | ) | `[inline]`

Initialize GL_EXT_vertex_weighting extension.

Check presence with csGLExtensionFlags::CS_GL_EXT_vertex_weighting.

Definition at line 19871 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_EXT_vertex_weighting, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glVertexWeightfEXT, csGLExtensionFunctions::glVertexWeightfvEXT, csGLExtensionFunctions::glVertexWeightPointerEXT, and csGLExtensionFlags::tested_CS_GL_EXT_vertex_weighting.

void csGLExtensionManager::InitGL_GREMEDY_string_marker | ( |  | ) | `[inline]`

Initialize GL_GREMEDY_string_marker extension.

Check presence with csGLExtensionFlags::CS_GL_GREMEDY_string_marker.

Definition at line 23379 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_GREMEDY_string_marker, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glStringMarkerGREMEDY, and csGLExtensionFlags::tested_CS_GL_GREMEDY_string_marker.

void csGLExtensionManager::InitGL_HP_occlusion_test | ( |  | ) | `[inline]`

Initialize GL_HP_occlusion_test extension.

Check presence with csGLExtensionFlags::CS_GL_HP_occlusion_test.

Definition at line 19903 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_HP_occlusion_test, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_HP_occlusion_test.

void csGLExtensionManager::InitGL_IBM_cull_vertex | ( |  | ) | `[inline]`

Initialize GL_IBM_cull_vertex extension.

Check presence with csGLExtensionFlags::CS_GL_IBM_cull_vertex.

Definition at line 21218 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_IBM_cull_vertex, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_IBM_cull_vertex.

void csGLExtensionManager::InitGL_IBM_multimode_draw_arrays | ( |  | ) | `[inline]`

Initialize GL_IBM_multimode_draw_arrays extension.

Check presence with csGLExtensionFlags::CS_GL_IBM_multimode_draw_arrays.

Definition at line 21247 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_IBM_multimode_draw_arrays, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glMultiModeDrawArraysIBM, csGLExtensionFunctions::glMultiModeDrawElementsIBM, and csGLExtensionFlags::tested_CS_GL_IBM_multimode_draw_arrays.

void csGLExtensionManager::InitGL_IBM_raster_pos_clip | ( |  | ) | `[inline]`

Initialize GL_IBM_raster_pos_clip extension.

Check presence with csGLExtensionFlags::CS_GL_IBM_raster_pos_clip.

Definition at line 21278 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_IBM_raster_pos_clip, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_IBM_raster_pos_clip.

void csGLExtensionManager::InitGL_IBM_texture_mirrored_repeat | ( |  | ) | `[inline]`

Initialize GL_IBM_texture_mirrored_repeat extension.

Check presence with csGLExtensionFlags::CS_GL_IBM_texture_mirrored_repeat.

Definition at line 21307 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_IBM_texture_mirrored_repeat, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_IBM_texture_mirrored_repeat.

void csGLExtensionManager::InitGL_IBM_vertex_array_lists | ( |  | ) | `[inline]`

Initialize GL_IBM_vertex_array_lists extension.

Check presence with csGLExtensionFlags::CS_GL_IBM_vertex_array_lists.

Definition at line 21336 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_IBM_vertex_array_lists, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glColorPointerListIBM, csGLExtensionFunctions::glEdgeFlagPointerListIBM, csGLExtensionFunctions::glFogCoordPointerListIBM, csGLExtensionFunctions::glNormalPointerListIBM, csGLExtensionFunctions::glSecondaryColorPointerListIBM, csGLExtensionFunctions::glTexCoordPointerListIBM, csGLExtensionFunctions::glVertexPointerListIBM, and csGLExtensionFlags::tested_CS_GL_IBM_vertex_array_lists.

void csGLExtensionManager::InitGL_MESA_resize_buffers | ( |  | ) | `[inline]`

Initialize GL_MESA_resize_buffers extension.

Check presence with csGLExtensionFlags::CS_GL_MESA_resize_buffers.

Definition at line 21372 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_MESA_resize_buffers, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glResizeBuffersMESA, and csGLExtensionFlags::tested_CS_GL_MESA_resize_buffers.

void csGLExtensionManager::InitGL_MESA_window_pos | ( |  | ) | `[inline]`

Initialize GL_MESA_window_pos extension.

Check presence with csGLExtensionFlags::CS_GL_MESA_window_pos.

Definition at line 21402 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_MESA_window_pos, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glWindowPos2dMESA, csGLExtensionFunctions::glWindowPos2dvMESA, csGLExtensionFunctions::glWindowPos2fMESA, csGLExtensionFunctions::glWindowPos2fvMESA, csGLExtensionFunctions::glWindowPos2iMESA, csGLExtensionFunctions::glWindowPos2ivMESA, csGLExtensionFunctions::glWindowPos2sMESA, csGLExtensionFunctions::glWindowPos2svMESA, csGLExtensionFunctions::glWindowPos3dMESA, csGLExtensionFunctions::glWindowPos3dvMESA, csGLExtensionFunctions::glWindowPos3fMESA, csGLExtensionFunctions::glWindowPos3fvMESA, csGLExtensionFunctions::glWindowPos3iMESA, csGLExtensionFunctions::glWindowPos3ivMESA, csGLExtensionFunctions::glWindowPos3sMESA, csGLExtensionFunctions::glWindowPos3svMESA, csGLExtensionFunctions::glWindowPos4dMESA, csGLExtensionFunctions::glWindowPos4dvMESA, csGLExtensionFunctions::glWindowPos4fMESA, csGLExtensionFunctions::glWindowPos4fvMESA, csGLExtensionFunctions::glWindowPos4iMESA, csGLExtensionFunctions::glWindowPos4ivMESA, csGLExtensionFunctions::glWindowPos4sMESA, csGLExtensionFunctions::glWindowPos4svMESA, and csGLExtensionFlags::tested_CS_GL_MESA_window_pos.

void csGLExtensionManager::InitGL_NV_blend_square | ( |  | ) | `[inline]`

Initialize GL_NV_blend_square extension.

Check presence with csGLExtensionFlags::CS_GL_NV_blend_square.

Definition at line 19932 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_blend_square, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_NV_blend_square.

void csGLExtensionManager::InitGL_NV_copy_depth_to_color | ( |  | ) | `[inline]`

Initialize GL_NV_copy_depth_to_color extension.

Check presence with csGLExtensionFlags::CS_GL_NV_copy_depth_to_color.

Definition at line 19961 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_copy_depth_to_color, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_NV_copy_depth_to_color.

void csGLExtensionManager::InitGL_NV_depth_clamp | ( |  | ) | `[inline]`

Initialize GL_NV_depth_clamp extension.

Check presence with csGLExtensionFlags::CS_GL_NV_depth_clamp.

Definition at line 19990 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_depth_clamp, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_NV_depth_clamp.

void csGLExtensionManager::InitGL_NV_element_array | ( |  | ) | `[inline]`

Initialize GL_NV_element_array extension.

Check presence with csGLExtensionFlags::CS_GL_NV_element_array.

Definition at line 22747 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_element_array, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glDrawElementArrayNV, csGLExtensionFunctions::glDrawRangeElementArrayNV, csGLExtensionFunctions::glElementPointerNV, csGLExtensionFunctions::glMultiDrawElementArrayNV, csGLExtensionFunctions::glMultiDrawRangeElementArrayNV, and csGLExtensionFlags::tested_CS_GL_NV_element_array.

void csGLExtensionManager::InitGL_NV_evaluators | ( |  | ) | `[inline]`

Initialize GL_NV_evaluators extension.

Check presence with csGLExtensionFlags::CS_GL_NV_evaluators.

Definition at line 20019 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_evaluators, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glEvalMapsNV, csGLExtensionFunctions::glGetMapAttribParameterfvNV, csGLExtensionFunctions::glGetMapAttribParameterivNV, csGLExtensionFunctions::glGetMapControlPointsNV, csGLExtensionFunctions::glGetMapParameterfvNV, csGLExtensionFunctions::glGetMapParameterivNV, csGLExtensionFunctions::glMapControlPointsNV, csGLExtensionFunctions::glMapParameterfvNV, csGLExtensionFunctions::glMapParameterivNV, and csGLExtensionFlags::tested_CS_GL_NV_evaluators.

void csGLExtensionManager::InitGL_NV_fence | ( |  | ) | `[inline]`

Initialize GL_NV_fence extension.

Check presence with csGLExtensionFlags::CS_GL_NV_fence.

Definition at line 20057 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_fence, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glDeleteFencesNV, csGLExtensionFunctions::glFinishFenceNV, csGLExtensionFunctions::glGenFencesNV, csGLExtensionFunctions::glGetFenceivNV, csGLExtensionFunctions::glIsFenceNV, csGLExtensionFunctions::glSetFenceNV, csGLExtensionFunctions::glTestFenceNV, and csGLExtensionFlags::tested_CS_GL_NV_fence.

void csGLExtensionManager::InitGL_NV_float_buffer | ( |  | ) | `[inline]`

Initialize GL_NV_float_buffer extension.

Check presence with csGLExtensionFlags::CS_GL_NV_float_buffer.

Definition at line 22781 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_float_buffer, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_NV_float_buffer.

void csGLExtensionManager::InitGL_NV_fog_distance | ( |  | ) | `[inline]`

Initialize GL_NV_fog_distance extension.

Check presence with csGLExtensionFlags::CS_GL_NV_fog_distance.

Definition at line 20093 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_fog_distance, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_NV_fog_distance.

void csGLExtensionManager::InitGL_NV_fragment_program | ( |  | ) | `[inline]`

Initialize GL_NV_fragment_program extension.

Check presence with csGLExtensionFlags::CS_GL_NV_fragment_program.

Definition at line 22810 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_fragment_program, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glGetProgramLocalParameterdvARB, csGLExtensionFunctions::glGetProgramLocalParameterfvARB, csGLExtensionFunctions::glGetProgramNamedParameterdvNV, csGLExtensionFunctions::glGetProgramNamedParameterfvNV, csGLExtensionFunctions::glProgramLocalParameter4dARB, csGLExtensionFunctions::glProgramLocalParameter4dvARB, csGLExtensionFunctions::glProgramLocalParameter4fARB, csGLExtensionFunctions::glProgramLocalParameter4fvARB, csGLExtensionFunctions::glProgramNamedParameter4dNV, csGLExtensionFunctions::glProgramNamedParameter4fNV, and csGLExtensionFlags::tested_CS_GL_NV_fragment_program.

void csGLExtensionManager::InitGL_NV_light_max_exponent | ( |  | ) | `[inline]`

Initialize GL_NV_light_max_exponent extension.

Check presence with csGLExtensionFlags::CS_GL_NV_light_max_exponent.

Definition at line 20122 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_light_max_exponent, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_NV_light_max_exponent.

void csGLExtensionManager::InitGL_NV_multisample_filter_hint | ( |  | ) | `[inline]`

Initialize GL_NV_multisample_filter_hint extension.

Check presence with csGLExtensionFlags::CS_GL_NV_multisample_filter_hint.

Definition at line 20151 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_multisample_filter_hint, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_NV_multisample_filter_hint.

void csGLExtensionManager::InitGL_NV_occlusion_query | ( |  | ) | `[inline]`

Initialize GL_NV_occlusion_query extension.

Check presence with csGLExtensionFlags::CS_GL_NV_occlusion_query.

Definition at line 20180 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_occlusion_query, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glBeginOcclusionQueryNV, csGLExtensionFunctions::glDeleteOcclusionQueriesNV, csGLExtensionFunctions::glEndOcclusionQueryNV, csGLExtensionFunctions::glGenOcclusionQueriesNV, csGLExtensionFunctions::glGetOcclusionQueryivNV, csGLExtensionFunctions::glGetOcclusionQueryuivNV, csGLExtensionFunctions::glIsOcclusionQueryNV, and csGLExtensionFlags::tested_CS_GL_NV_occlusion_query.

void csGLExtensionManager::InitGL_NV_packed_depth_stencil | ( |  | ) | `[inline]`

Initialize GL_NV_packed_depth_stencil extension.

Check presence with csGLExtensionFlags::CS_GL_NV_packed_depth_stencil.

Definition at line 20216 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_packed_depth_stencil, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_NV_packed_depth_stencil.

void csGLExtensionManager::InitGL_NV_point_sprite | ( |  | ) | `[inline]`

Initialize GL_NV_point_sprite extension.

Check presence with csGLExtensionFlags::CS_GL_NV_point_sprite.

Definition at line 20245 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_point_sprite, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glPointParameteriNV, csGLExtensionFunctions::glPointParameterivNV, and csGLExtensionFlags::tested_CS_GL_NV_point_sprite.

void csGLExtensionManager::InitGL_NV_primitive_restart | ( |  | ) | `[inline]`

Initialize GL_NV_primitive_restart extension.

Check presence with csGLExtensionFlags::CS_GL_NV_primitive_restart.

Definition at line 22849 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_primitive_restart, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glPrimitiveRestartIndexNV, csGLExtensionFunctions::glPrimitiveRestartNV, and csGLExtensionFlags::tested_CS_GL_NV_primitive_restart.

void csGLExtensionManager::InitGL_NV_register_combiners | ( |  | ) | `[inline]`

Initialize GL_NV_register_combiners extension.

Check presence with csGLExtensionFlags::CS_GL_NV_register_combiners.

Definition at line 20276 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_register_combiners, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glCombinerInputNV, csGLExtensionFunctions::glCombinerOutputNV, csGLExtensionFunctions::glCombinerParameterfNV, csGLExtensionFunctions::glCombinerParameterfvNV, csGLExtensionFunctions::glCombinerParameteriNV, csGLExtensionFunctions::glCombinerParameterivNV, csGLExtensionFunctions::glFinalCombinerInputNV, csGLExtensionFunctions::glGetCombinerInputParameterfvNV, csGLExtensionFunctions::glGetCombinerInputParameterivNV, csGLExtensionFunctions::glGetCombinerOutputParameterfvNV, csGLExtensionFunctions::glGetCombinerOutputParameterivNV, csGLExtensionFunctions::glGetFinalCombinerInputParameterfvNV, csGLExtensionFunctions::glGetFinalCombinerInputParameterivNV, and csGLExtensionFlags::tested_CS_GL_NV_register_combiners.

void csGLExtensionManager::InitGL_NV_register_combiners2 | ( |  | ) | `[inline]`

Initialize GL_NV_register_combiners2 extension.

Check presence with csGLExtensionFlags::CS_GL_NV_register_combiners2.

Definition at line 20318 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_register_combiners2, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glCombinerStageParameterfvNV, csGLExtensionFunctions::glGetCombinerStageParameterfvNV, and csGLExtensionFlags::tested_CS_GL_NV_register_combiners2.

void csGLExtensionManager::InitGL_NV_texgen_emboss | ( |  | ) | `[inline]`

Initialize GL_NV_texgen_emboss extension.

Check presence with csGLExtensionFlags::CS_GL_NV_texgen_emboss.

Definition at line 20349 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_texgen_emboss, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_NV_texgen_emboss.

void csGLExtensionManager::InitGL_NV_texgen_reflection | ( |  | ) | `[inline]`

Initialize GL_NV_texgen_reflection extension.

Check presence with csGLExtensionFlags::CS_GL_NV_texgen_reflection.

Definition at line 20378 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_texgen_reflection, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_NV_texgen_reflection.

void csGLExtensionManager::InitGL_NV_texture_compression_vtc | ( |  | ) | `[inline]`

Initialize GL_NV_texture_compression_vtc extension.

Check presence with csGLExtensionFlags::CS_GL_NV_texture_compression_vtc.

Definition at line 20407 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_texture_compression_vtc, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_NV_texture_compression_vtc.

void csGLExtensionManager::InitGL_NV_texture_env_combine4 | ( |  | ) | `[inline]`

Initialize GL_NV_texture_env_combine4 extension.

Check presence with csGLExtensionFlags::CS_GL_NV_texture_env_combine4.

Definition at line 20436 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_texture_env_combine4, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_NV_texture_env_combine4.

void csGLExtensionManager::InitGL_NV_texture_rectangle | ( |  | ) | `[inline]`

Initialize GL_NV_texture_rectangle extension.

Check presence with csGLExtensionFlags::CS_GL_NV_texture_rectangle.

Definition at line 20465 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_texture_rectangle, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_NV_texture_rectangle.

void csGLExtensionManager::InitGL_NV_texture_shader | ( |  | ) | `[inline]`

Initialize GL_NV_texture_shader extension.

Check presence with csGLExtensionFlags::CS_GL_NV_texture_shader.

Definition at line 20494 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_texture_shader, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_NV_texture_shader.

void csGLExtensionManager::InitGL_NV_texture_shader2 | ( |  | ) | `[inline]`

Initialize GL_NV_texture_shader2 extension.

Check presence with csGLExtensionFlags::CS_GL_NV_texture_shader2.

Definition at line 20523 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_texture_shader2, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_NV_texture_shader2.

void csGLExtensionManager::InitGL_NV_texture_shader3 | ( |  | ) | `[inline]`

Initialize GL_NV_texture_shader3 extension.

Check presence with csGLExtensionFlags::CS_GL_NV_texture_shader3.

Definition at line 20552 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_texture_shader3, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_NV_texture_shader3.

void csGLExtensionManager::InitGL_NV_vertex_array_range | ( |  | ) | `[inline]`

Initialize GL_NV_vertex_array_range extension.

Check presence with csGLExtensionFlags::CS_GL_NV_vertex_array_range.

Definition at line 20581 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_vertex_array_range, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glFlushVertexArrayRangeNV, csGLExtensionFunctions::glVertexArrayRangeNV, csGLExtensionFlags::tested_CS_GL_NV_vertex_array_range, csGLExtensionFunctions::wglAllocateMemoryNV, and csGLExtensionFunctions::wglFreeMemoryNV.

void csGLExtensionManager::InitGL_NV_vertex_array_range2 | ( |  | ) | `[inline]`

Initialize GL_NV_vertex_array_range2 extension.

Check presence with csGLExtensionFlags::CS_GL_NV_vertex_array_range2.

Definition at line 20614 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_vertex_array_range2, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_NV_vertex_array_range2.

void csGLExtensionManager::InitGL_NV_vertex_program | ( |  | ) | `[inline]`

Initialize GL_NV_vertex_program extension.

Check presence with csGLExtensionFlags::CS_GL_NV_vertex_program.

Definition at line 20643 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_vertex_program, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glAreProgramsResidentNV, csGLExtensionFunctions::glBindProgramNV, csGLExtensionFunctions::glDeleteProgramsNV, csGLExtensionFunctions::glExecuteProgramNV, csGLExtensionFunctions::glGenProgramsNV, csGLExtensionFunctions::glGetProgramivNV, csGLExtensionFunctions::glGetProgramParameterdvNV, csGLExtensionFunctions::glGetProgramParameterfvNV, csGLExtensionFunctions::glGetProgramStringNV, csGLExtensionFunctions::glGetTrackMatrixivNV, csGLExtensionFunctions::glGetVertexAttribdvNV, csGLExtensionFunctions::glGetVertexAttribfvNV, csGLExtensionFunctions::glGetVertexAttribivNV, csGLExtensionFunctions::glGetVertexAttribPointervNV, csGLExtensionFunctions::glIsProgramNV, csGLExtensionFunctions::glLoadProgramNV, csGLExtensionFunctions::glProgramParameter4fNV, csGLExtensionFunctions::glProgramParameter4fvNV, csGLExtensionFunctions::glProgramParameters4dvNV, csGLExtensionFunctions::glProgramParameters4fvNV, csGLExtensionFunctions::glRequestResidentProgramsNV, csGLExtensionFunctions::glTrackMatrixNV, csGLExtensionFunctions::glVertexAttrib1dNV, csGLExtensionFunctions::glVertexAttrib1dvNV, csGLExtensionFunctions::glVertexAttrib1fNV, csGLExtensionFunctions::glVertexAttrib1fvNV, csGLExtensionFunctions::glVertexAttrib1sNV, csGLExtensionFunctions::glVertexAttrib1svNV, csGLExtensionFunctions::glVertexAttrib2dNV, csGLExtensionFunctions::glVertexAttrib2dvNV, csGLExtensionFunctions::glVertexAttrib2fNV, csGLExtensionFunctions::glVertexAttrib2fvNV, csGLExtensionFunctions::glVertexAttrib2sNV, csGLExtensionFunctions::glVertexAttrib2svNV, csGLExtensionFunctions::glVertexAttrib3dNV, csGLExtensionFunctions::glVertexAttrib3dvNV, csGLExtensionFunctions::glVertexAttrib3fNV, csGLExtensionFunctions::glVertexAttrib3fvNV, csGLExtensionFunctions::glVertexAttrib3sNV, csGLExtensionFunctions::glVertexAttrib3svNV, csGLExtensionFunctions::glVertexAttrib4dNV, csGLExtensionFunctions::glVertexAttrib4dvNV, csGLExtensionFunctions::glVertexAttrib4fNV, csGLExtensionFunctions::glVertexAttrib4fvNV, csGLExtensionFunctions::glVertexAttrib4sNV, csGLExtensionFunctions::glVertexAttrib4svNV, csGLExtensionFunctions::glVertexAttrib4ubNV, csGLExtensionFunctions::glVertexAttrib4ubvNV, csGLExtensionFunctions::glVertexAttribPointerNV, csGLExtensionFunctions::glVertexAttribs1dvNV, csGLExtensionFunctions::glVertexAttribs1fvNV, csGLExtensionFunctions::glVertexAttribs1svNV, csGLExtensionFunctions::glVertexAttribs2dvNV, csGLExtensionFunctions::glVertexAttribs2fvNV, csGLExtensionFunctions::glVertexAttribs2svNV, csGLExtensionFunctions::glVertexAttribs3dvNV, csGLExtensionFunctions::glVertexAttribs3fvNV, csGLExtensionFunctions::glVertexAttribs3svNV, csGLExtensionFunctions::glVertexAttribs4dvNV, csGLExtensionFunctions::glVertexAttribs4fvNV, csGLExtensionFunctions::glVertexAttribs4svNV, csGLExtensionFunctions::glVertexAttribs4ubvNV, and csGLExtensionFlags::tested_CS_GL_NV_vertex_program.

void csGLExtensionManager::InitGL_NV_vertex_program1_1 | ( |  | ) | `[inline]`

Initialize GL_NV_vertex_program1_1 extension.

Check presence with csGLExtensionFlags::CS_GL_NV_vertex_program1_1.

Definition at line 20734 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_vertex_program1_1, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_NV_vertex_program1_1.

void csGLExtensionManager::InitGL_NV_vertex_program2 | ( |  | ) | `[inline]`

Initialize GL_NV_vertex_program2 extension.

Check presence with csGLExtensionFlags::CS_GL_NV_vertex_program2.

Definition at line 22880 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_NV_vertex_program2, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_NV_vertex_program2.

void csGLExtensionManager::InitGL_OML_interlace | ( |  | ) | `[inline]`

Initialize GL_OML_interlace extension.

Check presence with csGLExtensionFlags::CS_GL_OML_interlace.

Definition at line 21455 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_OML_interlace, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_OML_interlace.

void csGLExtensionManager::InitGL_OML_resample | ( |  | ) | `[inline]`

Initialize GL_OML_resample extension.

Check presence with csGLExtensionFlags::CS_GL_OML_resample.

Definition at line 21484 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_OML_resample, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_OML_resample.

void csGLExtensionManager::InitGL_OML_subsample | ( |  | ) | `[inline]`

Initialize GL_OML_subsample extension.

Check presence with csGLExtensionFlags::CS_GL_OML_subsample.

Definition at line 21513 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_OML_subsample, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_OML_subsample.

void csGLExtensionManager::InitGL_SGI_color_matrix | ( |  | ) | `[inline]`

Initialize GL_SGI_color_matrix extension.

Check presence with csGLExtensionFlags::CS_GL_SGI_color_matrix.

Definition at line 21868 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_SGI_color_matrix, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_SGI_color_matrix.

void csGLExtensionManager::InitGL_SGI_color_table | ( |  | ) | `[inline]`

Initialize GL_SGI_color_table extension.

Check presence with csGLExtensionFlags::CS_GL_SGI_color_table.

Definition at line 21897 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_SGI_color_table, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glColorTableParameterfvSGI, csGLExtensionFunctions::glColorTableParameterivSGI, csGLExtensionFunctions::glColorTableSGI, csGLExtensionFunctions::glCopyColorTableSGI, csGLExtensionFunctions::glGetColorTableParameterfvSGI, csGLExtensionFunctions::glGetColorTableParameterivSGI, csGLExtensionFunctions::glGetColorTableSGI, and csGLExtensionFlags::tested_CS_GL_SGI_color_table.

void csGLExtensionManager::InitGL_SGI_texture_color_table | ( |  | ) | `[inline]`

Initialize GL_SGI_texture_color_table extension.

Check presence with csGLExtensionFlags::CS_GL_SGI_texture_color_table.

Definition at line 21933 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_SGI_texture_color_table, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_SGI_texture_color_table.

void csGLExtensionManager::InitGL_SGIS_depth_texture | ( |  | ) | `[inline]`

Initialize GL_SGIS_depth_texture extension.

Check presence with csGLExtensionFlags::CS_GL_SGIS_depth_texture.

Definition at line 21752 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_SGIS_depth_texture, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_SGIS_depth_texture.

void csGLExtensionManager::InitGL_SGIS_generate_mipmap | ( |  | ) | `[inline]`

Initialize GL_SGIS_generate_mipmap extension.

Check presence with csGLExtensionFlags::CS_GL_SGIS_generate_mipmap.

Definition at line 21542 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_SGIS_generate_mipmap, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_SGIS_generate_mipmap.

void csGLExtensionManager::InitGL_SGIS_multisample | ( |  | ) | `[inline]`

Initialize GL_SGIS_multisample extension.

Check presence with csGLExtensionFlags::CS_GL_SGIS_multisample.

Definition at line 21571 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_SGIS_multisample, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glSampleMaskSGIS, csGLExtensionFunctions::glSamplePatternSGIS, and csGLExtensionFlags::tested_CS_GL_SGIS_multisample.

void csGLExtensionManager::InitGL_SGIS_pixel_texture | ( |  | ) | `[inline]`

Initialize GL_SGIS_pixel_texture extension.

Check presence with csGLExtensionFlags::CS_GL_SGIS_pixel_texture.

Definition at line 21602 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_SGIS_pixel_texture, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glGetPixelTexGenParameterfvSGIS, csGLExtensionFunctions::glGetPixelTexGenParameterivSGIS, csGLExtensionFunctions::glPixelTexGenParameterfSGIS, csGLExtensionFunctions::glPixelTexGenParameteriSGIS, and csGLExtensionFlags::tested_CS_GL_SGIS_pixel_texture.

void csGLExtensionManager::InitGL_SGIS_texture_border_clamp | ( |  | ) | `[inline]`

Initialize GL_SGIS_texture_border_clamp extension.

Check presence with csGLExtensionFlags::CS_GL_SGIS_texture_border_clamp.

Definition at line 21635 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_SGIS_texture_border_clamp, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_SGIS_texture_border_clamp.

void csGLExtensionManager::InitGL_SGIS_texture_color_mask | ( |  | ) | `[inline]`

Initialize GL_SGIS_texture_color_mask extension.

Check presence with csGLExtensionFlags::CS_GL_SGIS_texture_color_mask.

Definition at line 21664 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_SGIS_texture_color_mask, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glTextureColorMaskSGIS, and csGLExtensionFlags::tested_CS_GL_SGIS_texture_color_mask.

void csGLExtensionManager::InitGL_SGIS_texture_edge_clamp | ( |  | ) | `[inline]`

Initialize GL_SGIS_texture_edge_clamp extension.

Check presence with csGLExtensionFlags::CS_GL_SGIS_texture_edge_clamp.

Definition at line 21694 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_SGIS_texture_edge_clamp, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_SGIS_texture_edge_clamp.

void csGLExtensionManager::InitGL_SGIS_texture_lod | ( |  | ) | `[inline]`

Initialize GL_SGIS_texture_lod extension.

Check presence with csGLExtensionFlags::CS_GL_SGIS_texture_lod.

Definition at line 21723 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_SGIS_texture_lod, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_SGIS_texture_lod.

void csGLExtensionManager::InitGL_SGIX_fog_offset | ( |  | ) | `[inline]`

Initialize GL_SGIX_fog_offset extension.

Check presence with csGLExtensionFlags::CS_GL_SGIX_fog_offset.

Definition at line 21781 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_SGIX_fog_offset, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_SGIX_fog_offset.

void csGLExtensionManager::InitGL_SGIX_interlace | ( |  | ) | `[inline]`

Initialize GL_SGIX_interlace extension.

Check presence with csGLExtensionFlags::CS_GL_SGIX_interlace.

Definition at line 21810 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_SGIX_interlace, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_SGIX_interlace.

void csGLExtensionManager::InitGL_SGIX_shadow_ambient | ( |  | ) | `[inline]`

Initialize GL_SGIX_shadow_ambient extension.

Check presence with csGLExtensionFlags::CS_GL_SGIX_shadow_ambient.

Definition at line 21839 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_SGIX_shadow_ambient, EXTMGR_REPORT_INIT_RESULT, and csGLExtensionFlags::tested_CS_GL_SGIX_shadow_ambient.

void csGLExtensionManager::InitGL_SUN_vertex | ( |  | ) | `[inline]`

Initialize GL_SUN_vertex extension.

Check presence with csGLExtensionFlags::CS_GL_SUN_vertex.

Definition at line 21962 of file glextmanager.h.

References csGLExtensionFlags::CS_GL_SUN_vertex, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFunctions::glColor3fVertex3fSUN, csGLExtensionFunctions::glColor3fVertex3fvSUN, csGLExtensionFunctions::glColor4fNormal3fVertex3fSUN, csGLExtensionFunctions::glColor4fNormal3fVertex3fvSUN, csGLExtensionFunctions::glColor4ubVertex2fSUN, csGLExtensionFunctions::glColor4ubVertex2fvSUN, csGLExtensionFunctions::glColor4ubVertex3fSUN, csGLExtensionFunctions::glColor4ubVertex3fvSUN, csGLExtensionFunctions::glNormal3fVertex3fSUN, csGLExtensionFunctions::glNormal3fVertex3fvSUN, csGLExtensionFunctions::glReplacementCodeuiColor3fVertex3fSUN, csGLExtensionFunctions::glReplacementCodeuiColor3fVertex3fvSUN, csGLExtensionFunctions::glReplacementCodeuiColor4fNormal3fVertex3fSUN, csGLExtensionFunctions::glReplacementCodeuiColor4fNormal3fVertex3fvSUN, csGLExtensionFunctions::glReplacementCodeuiColor4ubVertex3fSUN, csGLExtensionFunctions::glReplacementCodeuiColor4ubVertex3fvSUN, csGLExtensionFunctions::glReplacementCodeuiNormal3fVertex3fSUN, csGLExtensionFunctions::glReplacementCodeuiNormal3fVertex3fvSUN, csGLExtensionFunctions::glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN, csGLExtensionFunctions::glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN, csGLExtensionFunctions::glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN, csGLExtensionFunctions::glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN, csGLExtensionFunctions::glReplacementCodeuiTexCoord2fVertex3fSUN, csGLExtensionFunctions::glReplacementCodeuiTexCoord2fVertex3fvSUN, csGLExtensionFunctions::glReplacementCodeuiVertex3fSUN, csGLExtensionFunctions::glReplacementCodeuiVertex3fvSUN, csGLExtensionFunctions::glTexCoord2fColor3fVertex3fSUN, csGLExtensionFunctions::glTexCoord2fColor3fVertex3fvSUN, csGLExtensionFunctions::glTexCoord2fColor4fNormal3fVertex3fSUN, csGLExtensionFunctions::glTexCoord2fColor4fNormal3fVertex3fvSUN, csGLExtensionFunctions::glTexCoord2fColor4ubVertex3fSUN, csGLExtensionFunctions::glTexCoord2fColor4ubVertex3fvSUN, csGLExtensionFunctions::glTexCoord2fNormal3fVertex3fSUN, csGLExtensionFunctions::glTexCoord2fNormal3fVertex3fvSUN, csGLExtensionFunctions::glTexCoord2fVertex3fSUN, csGLExtensionFunctions::glTexCoord2fVertex3fvSUN, csGLExtensionFunctions::glTexCoord4fColor4fNormal3fVertex4fSUN, csGLExtensionFunctions::glTexCoord4fColor4fNormal3fVertex4fvSUN, csGLExtensionFunctions::glTexCoord4fVertex4fSUN, csGLExtensionFunctions::glTexCoord4fVertex4fvSUN, and csGLExtensionFlags::tested_CS_GL_SUN_vertex.

void csGLExtensionManager::InitWGL_ARB_buffer_region | ( | HDC | hDC | ) | `[inline]`

Initialize WGL_ARB_buffer_region extension.

Check presence with csGLExtensionFlags::CS_WGL_ARB_buffer_region.

Definition at line 18163 of file glextmanager.h.

References csGLExtensionFlags::CS_WGL_ARB_buffer_region, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFlags::tested_CS_WGL_ARB_buffer_region, csGLExtensionFunctions::wglCreateBufferRegionARB, csGLExtensionFunctions::wglDeleteBufferRegionARB, csGLExtensionFunctions::wglRestoreBufferRegionARB, and csGLExtensionFunctions::wglSaveBufferRegionARB.

void csGLExtensionManager::InitWGL_ARB_extensions_string | ( | HDC | hDC | ) | `[inline]`

Initialize WGL_ARB_extensions_string extension.

Check presence with csGLExtensionFlags::CS_WGL_ARB_extensions_string.

Definition at line 18131 of file glextmanager.h.

References csGLExtensionFlags::CS_WGL_ARB_extensions_string, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFlags::tested_CS_WGL_ARB_extensions_string, and csGLExtensionFunctions::wglGetExtensionsStringARB.

void csGLExtensionManager::InitWGL_ARB_make_current_read | ( | HDC | hDC | ) | `[inline]`

Initialize WGL_ARB_make_current_read extension.

Check presence with csGLExtensionFlags::CS_WGL_ARB_make_current_read.

Definition at line 22310 of file glextmanager.h.

References csGLExtensionFlags::CS_WGL_ARB_make_current_read, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFlags::tested_CS_WGL_ARB_make_current_read, csGLExtensionFunctions::wglGetCurrentReadDCARB, and csGLExtensionFunctions::wglMakeContextCurrentARB.

void csGLExtensionManager::InitWGL_ARB_pbuffer | ( | HDC | hDC | ) | `[inline]`

Initialize WGL_ARB_pbuffer extension.

Check presence with csGLExtensionFlags::CS_WGL_ARB_pbuffer.

Definition at line 22345 of file glextmanager.h.

References csGLExtensionFlags::CS_WGL_ARB_pbuffer, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFlags::tested_CS_WGL_ARB_pbuffer, csGLExtensionFunctions::wglCreatePbufferARB, csGLExtensionFunctions::wglDestroyPbufferARB, csGLExtensionFunctions::wglGetPbufferDCARB, csGLExtensionFunctions::wglQueryPbufferARB, and csGLExtensionFunctions::wglReleasePbufferDCARB.

void csGLExtensionManager::InitWGL_ARB_pixel_format | ( | HDC | hDC | ) | `[inline]`

Initialize WGL_ARB_pixel_format extension.

Check presence with csGLExtensionFlags::CS_WGL_ARB_pixel_format.

Definition at line 22274 of file glextmanager.h.

References csGLExtensionFlags::CS_WGL_ARB_pixel_format, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFlags::tested_CS_WGL_ARB_pixel_format, csGLExtensionFunctions::wglChoosePixelFormatARB, csGLExtensionFunctions::wglGetPixelFormatAttribfvARB, and csGLExtensionFunctions::wglGetPixelFormatAttribivARB.

void csGLExtensionManager::InitWGL_ARB_render_texture | ( | HDC | hDC | ) | `[inline]`

Initialize WGL_ARB_render_texture extension.

Check presence with csGLExtensionFlags::CS_WGL_ARB_render_texture.

Definition at line 22418 of file glextmanager.h.

References csGLExtensionFlags::CS_WGL_ARB_render_texture, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFlags::tested_CS_WGL_ARB_render_texture, csGLExtensionFunctions::wglBindTexImageARB, csGLExtensionFunctions::wglReleaseTexImageARB, and csGLExtensionFunctions::wglSetPbufferAttribARB.

void csGLExtensionManager::InitWGL_EXT_extensions_string | ( | HDC | hDC | ) | `[inline]`

Initialize WGL_EXT_extensions_string extension.

Check presence with csGLExtensionFlags::CS_WGL_EXT_extensions_string.

Definition at line 22454 of file glextmanager.h.

References csGLExtensionFlags::CS_WGL_EXT_extensions_string, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFlags::tested_CS_WGL_EXT_extensions_string, and csGLExtensionFunctions::wglGetExtensionsStringEXT.

void csGLExtensionManager::InitWGL_EXT_make_current_read | ( | HDC | hDC | ) | `[inline]`

Initialize WGL_EXT_make_current_read extension.

Check presence with csGLExtensionFlags::CS_WGL_EXT_make_current_read.

Definition at line 22488 of file glextmanager.h.

References csGLExtensionFlags::CS_WGL_EXT_make_current_read, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFlags::tested_CS_WGL_EXT_make_current_read, csGLExtensionFunctions::wglGetCurrentReadDCEXT, and csGLExtensionFunctions::wglMakeContextCurrentEXT.

void csGLExtensionManager::InitWGL_EXT_pbuffer | ( | HDC | hDC | ) | `[inline]`

Initialize WGL_EXT_pbuffer extension.

Check presence with csGLExtensionFlags::CS_WGL_EXT_pbuffer.

Definition at line 22523 of file glextmanager.h.

References csGLExtensionFlags::CS_WGL_EXT_pbuffer, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFlags::tested_CS_WGL_EXT_pbuffer, csGLExtensionFunctions::wglCreatePbufferEXT, csGLExtensionFunctions::wglDestroyPbufferEXT, csGLExtensionFunctions::wglGetPbufferDCEXT, csGLExtensionFunctions::wglQueryPbufferEXT, and csGLExtensionFunctions::wglReleasePbufferDCEXT.

void csGLExtensionManager::InitWGL_EXT_pixel_format | ( | HDC | hDC | ) | `[inline]`

Initialize WGL_EXT_pixel_format extension.

Check presence with csGLExtensionFlags::CS_WGL_EXT_pixel_format.

Definition at line 22561 of file glextmanager.h.

References csGLExtensionFlags::CS_WGL_EXT_pixel_format, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFlags::tested_CS_WGL_EXT_pixel_format, csGLExtensionFunctions::wglChoosePixelFormatEXT, csGLExtensionFunctions::wglGetPixelFormatAttribfvEXT, and csGLExtensionFunctions::wglGetPixelFormatAttribivEXT.

void csGLExtensionManager::InitWGL_EXT_swap_control | ( | HDC | hDC | ) | `[inline]`

Initialize WGL_EXT_swap_control extension.

Check presence with csGLExtensionFlags::CS_WGL_EXT_swap_control.

Definition at line 22383 of file glextmanager.h.

References csGLExtensionFlags::CS_WGL_EXT_swap_control, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFlags::tested_CS_WGL_EXT_swap_control, csGLExtensionFunctions::wglGetSwapIntervalEXT, and csGLExtensionFunctions::wglSwapIntervalEXT.

void csGLExtensionManager::InitWGL_I3D_digital_video_control | ( | HDC | hDC | ) | `[inline]`

Initialize WGL_I3D_digital_video_control extension.

Check presence with csGLExtensionFlags::CS_WGL_I3D_digital_video_control.

Definition at line 22597 of file glextmanager.h.

References csGLExtensionFlags::CS_WGL_I3D_digital_video_control, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFlags::tested_CS_WGL_I3D_digital_video_control, csGLExtensionFunctions::wglGetDigitalVideoParametersI3D, and csGLExtensionFunctions::wglSetDigitalVideoParametersI3D.

void csGLExtensionManager::InitWGL_I3D_gamma | ( | HDC | hDC | ) | `[inline]`

Initialize WGL_I3D_gamma extension.

Check presence with csGLExtensionFlags::CS_WGL_I3D_gamma.

Definition at line 22632 of file glextmanager.h.

References csGLExtensionFlags::CS_WGL_I3D_gamma, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFlags::tested_CS_WGL_I3D_gamma, csGLExtensionFunctions::wglGetGammaTableI3D, csGLExtensionFunctions::wglGetGammaTableParametersI3D, csGLExtensionFunctions::wglSetGammaTableI3D, and csGLExtensionFunctions::wglSetGammaTableParametersI3D.

void csGLExtensionManager::InitWGL_I3D_genlock | ( | HDC | hDC | ) | `[inline]`

Initialize WGL_I3D_genlock extension.

Check presence with csGLExtensionFlags::CS_WGL_I3D_genlock.

Definition at line 22669 of file glextmanager.h.

References csGLExtensionFlags::CS_WGL_I3D_genlock, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFlags::tested_CS_WGL_I3D_genlock, csGLExtensionFunctions::wglDisableGenlockI3D, csGLExtensionFunctions::wglEnableGenlockI3D, csGLExtensionFunctions::wglGenlockSampleRateI3D, csGLExtensionFunctions::wglGenlockSourceDelayI3D, csGLExtensionFunctions::wglGenlockSourceEdgeI3D, csGLExtensionFunctions::wglGenlockSourceI3D, csGLExtensionFunctions::wglGetGenlockSampleRateI3D, csGLExtensionFunctions::wglGetGenlockSourceDelayI3D, csGLExtensionFunctions::wglGetGenlockSourceEdgeI3D, csGLExtensionFunctions::wglGetGenlockSourceI3D, csGLExtensionFunctions::wglIsEnabledGenlockI3D, and csGLExtensionFunctions::wglQueryGenlockMaxSourceDelayI3D.

void csGLExtensionManager::InitWGL_I3D_image_buffer | ( | HDC | hDC | ) | `[inline]`

Initialize WGL_I3D_image_buffer extension.

Check presence with csGLExtensionFlags::CS_WGL_I3D_image_buffer.

Definition at line 21079 of file glextmanager.h.

References csGLExtensionFlags::CS_WGL_I3D_image_buffer, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFlags::tested_CS_WGL_I3D_image_buffer, csGLExtensionFunctions::wglAssociateImageBufferEventsI3D, csGLExtensionFunctions::wglCreateImageBufferI3D, csGLExtensionFunctions::wglDestroyImageBufferI3D, and csGLExtensionFunctions::wglReleaseImageBufferEventsI3D.

void csGLExtensionManager::InitWGL_I3D_swap_frame_lock | ( | HDC | hDC | ) | `[inline]`

Initialize WGL_I3D_swap_frame_lock extension.

Check presence with csGLExtensionFlags::CS_WGL_I3D_swap_frame_lock.

Definition at line 21116 of file glextmanager.h.

References csGLExtensionFlags::CS_WGL_I3D_swap_frame_lock, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFlags::tested_CS_WGL_I3D_swap_frame_lock, csGLExtensionFunctions::wglDisableFrameLockI3D, csGLExtensionFunctions::wglEnableFrameLockI3D, csGLExtensionFunctions::wglIsEnabledFrameLockI3D, and csGLExtensionFunctions::wglQueryFrameLockMasterI3D.

void csGLExtensionManager::InitWGL_I3D_swap_frame_usage | ( | HDC | hDC | ) | `[inline]`

Initialize WGL_I3D_swap_frame_usage extension.

Check presence with csGLExtensionFlags::CS_WGL_I3D_swap_frame_usage.

Definition at line 21153 of file glextmanager.h.

References csGLExtensionFlags::CS_WGL_I3D_swap_frame_usage, EXTMGR_FUNC_INIT, EXTMGR_REPORT_INIT_RESULT, csGLExtensionFlags::tested_CS_WGL_I3D_swap_frame_usage, csGLExtensionFunctions::wglBeginFrameTrackingI3D, csGLExtensionFunctions::wglEndFrameTrackingI3D, csGLExtensionFunctions::wglGetFrameUsageI3D, and csGLExtensionFunctions::wglQueryFrameTrackingI3D.

The documentation for this struct was generated from the following file:

- csplugincommon/opengl/glextmanager.h